<?php
/*/////////////////////////////   Global Variables  //////////////////////////////////////*/
$themename = "Flat_metro";
$themefolder = "flat-metro";

define ('THEME_NAME', $themename );
define ('theme_version' , 1 );

load_theme_textdomain( THEME_NAME, get_template_directory().'/languages' );


global $wd_tiles;
if( !(get_option('tiles') === FALSE) ) { 
  $wd_tiles = get_option('tiles');
}else {
  $wd_tiles = array();
}

/*---------------------------------- Includes -------------------------------------------------------
define( 'ACF_LITE', false );
include_once(get_template_directory().'/lib/advanced-custom-fields/acf.php');
*/

// Webdeiva tools
include_once( 'inc/tools.php' );
/*** Theme settings Panel */
require_once('inc/panel.php');
include_once( 'inc/menu-header.php' );
/*** Custom post types */
include_once ('inc/post-types.php');
/*** Meta Boxes  */
include_once ('inc/meta-boxes/box-icon.php');
include_once ('inc/meta-boxes/projet-slider.php');
/*** Shortcodes */
include_once( 'inc/shortcodes/wd_blog.php' );
include_once( 'inc/shortcodes/wd_portfolio.php' );
include_once( 'inc/shortcodes/wd_team.php' );

include_once( 'inc/section-pages.php' );

include_once( get_template_directory() . '/lib/plugins/plugins.php' );
include_once( get_template_directory() . '/inc/import/wd-import.php' );








add_action( 'init', 'wd_add_editor_styles' );
/**
* Apply theme's stylesheet to the visual editor.
*
* @uses add_editor_style() Links a stylesheet to visual editor
* @uses get_stylesheet_uri() Returns URI of theme stylesheet
*/
function wd_add_editor_styles() {
 
  add_editor_style( get_template_directory_uri() . '/css/editor-style.css' );
 
}






/*------------------------------- Create Featured Category -------------------------------------------*/
$arg = array('description' => "Featured Category", 'parent' => "cat_ID");
$new_cat_id = wp_insert_term("featured", "category", $arg);


/*------------------------------- Theme Supported Features -------------------------------------------*/
if(function_exists('add_theme_support')){
  add_theme_support('post-thumbnails');
  add_theme_support('custom-background');
  
  add_theme_support('automatic-feed-links');
  
  add_theme_support( 'woocommerce' );
}
  
add_image_size( 'blog-thumb',       800, 380, true );
add_image_size( 'blog-small-thumb', 280, 220, true );
add_image_size( 'project-thumb',    500, 380, true );
add_image_size( '400x400',          400, 400, true );
add_image_size( '400x300',          400, 300, true );
add_image_size( '780x380',          780, 380, true );
add_image_size( 'big-slider',       760, 322, true );
add_image_size( 'wd_big-heigh-slider',       675, 575, true );


/**
 * Sets up the content width value based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) )
  $content_width = 625;
  
//----------------------------------------
$defaults = array(
    'default-color' => '#3498DB',
    'default-image' => '',
    'wp-head-callback' => '_custom_background_cb',
    'admin-head-callback' => '',
    'admin-preview-callback' => ''
  );
add_theme_support( 'custom-background', $defaults );


// This theme uses wp_nav_menu() in two locations.  
register_nav_menus( array(  
  'primary' => __( 'Primary Navigation', THEME_NAME ),   
) );

//add the sidebar
if(function_exists('register_sidebar')) {
  register_sidebar(array(
	  'name'=>'sidebar',
	  'id'=>'sidebar-1',
    'before_widget' => '<div id="%1$s" class="widget %2$s clearfix">',
    'after_widget' => '</div>',
    'before_title'=>'<h2 class="block-title">',
    'after_title'=>'</h2>'
  ));
  register_sidebar(array(
    'name' => 'Before Tiles',
    'id'   => 'before-tiles',
    'description'   => 'Put here widget you want to show before the tiles in start screen. note that you can also use shortcodes.',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h4>',
    'after_title'   => '</h4>'
  ));
  register_sidebar(array(
    'name' => 'After Tiles',
    'id'   => 'after-tiles',
    'description'   => 'Put here widget you want to show after the tiles in start screen. note that you can also use shortcodes.',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h4>',
    'after_title'   => '</h4>'
  ));
}
// Enable shortcodes in widgets
add_filter('widget_text', 'do_shortcode');
  
  
/*/////////////////////////////   Add classes for body  //////////////////////////////////////*/
add_filter('body_class','wd_body_classes');
function wd_body_classes($classes) {
  $classes[] = 'html front logged-in one-sidebar sidebar-second page-node';
  return $classes;
} 
/*/////////////////////////////   Add classes for Post  //////////////////////////////////////*/
add_filter('post_class','wd_post_classes');
function wd_post_classes($classes) {
  $classes[] = 'node node-blog clearfix';
  return $classes;
}



/*
 *  Return IDs of all pages with "show in star sreen" checked
 */ 
if( !function_exists('wd_get_page_id')){ 
  function wd_get_page_id(){
    $ids   = array();
    $pages = array();
    $pages = wd_get_posts_by_meta_key('wd_show_in_start', "1");
        
    foreach ($pages as $key => $page) {
      $ids[] = $page->ID;
    }    
    return $ids;
  }
}



/**
 * Add tiles links to the primary navigation
 */
if( !function_exists('wd_add_tiles_link')){
  function wd_add_tiles_link( $items, $args ){
    if($args->theme_location == 'primary'){      
      $tiles = wd_get_posts_by_meta_key('wd_show_in_start', '1');
      
      global $wd_tiles;
      $exist_in_screen = FALSE;
      
      $items .= '<li><a href="'. home_url() .'/#home">
                          <i class="fa-home fa"></i>'. __('Home', THEME_NAME) .'</a></li>';

      foreach ($tiles as $key => $tile) {
        // look if the tile of this page is display in the start screen
        foreach ($wd_tiles as $key => $wd_tile) {
          if( $wd_tile['tile type'] == 'page' && $wd_tile['id'] == $tile->ID ){
            $exist_in_screen = TRUE;
          }
        }
    
        if( $exist_in_screen ){


          $newstr = preg_replace('/[^a-zA-Z0-9\']/', '_', $tile->post_title);
          $newstr = str_replace("_8217__", '', $newstr);
          $newstr = str_replace("'", '', $newstr);
          $newstr = strtr($newstr, 'ÁÀÂÄÃÅÇÉÈÊËÍÏÎÌÑÓÒÔÖÕÚÙÛÜÝ', 'AAAAAACEEEEEIIIINOOOOOUUUUY');
          $newstr = strtr($newstr, 'áàâäãåçéèêëíìîïñóòôöõúùûüýÿ', 'aaaaaaceeeeiiiinooooouuuuyy');
          $str=mb_convert_encoding(str_replace(' ', '', $newstr), "EUC-JP", "auto");
          
          $items .= '<li><a href="'. home_url() .'/#'. $str .'">
                          <i class="'. get_post_meta( $tile->ID , 'wd_icon', true ) .' fa color--'. $tile->ID .'  "></i>'. 
                          $tile->post_title .'</a></li>';
        }
      }
    }
    return $items;
  }
  add_filter( 'wp_nav_menu_items', 'wd_add_tiles_link', 10, 2);
}


if(!function_exists('cleanlink')){
  function cleanlink($wd_string) {
    $caracteres = array('Á' => 'a', 'Â' => 'a', 'Ä' => 'a', 'à' => 'a', 'á' => 'a', 'â' => 'a', 'ä' => 'a', '@' => 'a', 'È' => 'e', 'É' => 'e', 'Ê' => 'e', 'Ë' => 'e', 'è' => 'e', 'é' => 'e', 'ê' => 'e', 'ë' => 'e', '€' => 'e', 'Ì' => 'i', 'Í' => 'i', 'Î' => 'i', 'Ï' => 'i', 'ì' => 'i', 'í' => 'i', 'î' => 'i', 'ï' => 'i', 'Ò' => 'o', 'Ó' => 'o', 'Ô' => 'o', 'Ö' => 'o', 'ò' => 'o', 'ó' => 'o', 'ô' => 'o', 'ö' => 'o', 'Ù' => 'u', 'Ú' => 'u', 'Û' => 'u', 'Ü' => 'u', 'ù' => 'u', 'ú' => 'u', 'û' => 'u', 'ü' => 'u', 'µ' => 'u', 'Œ' => 'oe', 'œ' => 'oe', '$' => 's');
    $wd_string = strtr($wd_string, $caracteres);
    $wd_string = preg_replace('#[^A-Za-z0-9]+#', '-', $wd_string);
    $wd_string = trim($wd_string, '-');
    $wd_string = strtolower($wd_string);

    return $wd_string;
  }
}

if(!function_exists('wd_generate_styles')){
  
  function wd_generate_styles() {
   /* Adds JavaScript to pages with the comment form to support sites with threaded comments (when in use).*/
  if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
  
   
  /*** Google fonts ****/
  wp_enqueue_style('google-fonts','http://fonts.googleapis.com/css?family=Open+Sans:300,400,700' ); 
  
  include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
  if ( ! is_plugin_active( 'font-awesome-4-menus/n9m-font-awesome-4.php' ) ) {
    wp_enqueue_style('font-awesome',  "https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css");
  }


  wp_enqueue_style('foundation',      get_template_directory_uri() . "/css/foundation.min.css");
  wp_enqueue_style('animations',      get_template_directory_uri() . "/css/animations.css");

  wp_enqueue_style('custom-style',    get_template_directory_uri() . '/style.css');
  if(is_child_theme()){
    wp_enqueue_style('shild-custom-style',    get_stylesheet_uri() );
  }
  
  wp_enqueue_style('responsiveslides',get_template_directory_uri() . "/css/responsiveslides.css");
  wp_enqueue_style('reponsive',       get_template_directory_uri() . "/css/reponsive.css");
  wp_enqueue_style('animate-custom',  get_template_directory_uri() . "/css/animate-custom.css");
  wp_enqueue_style('woocommerce',     get_template_directory_uri() . "/css/woocommerce.css");
  
  
  
  
  wp_enqueue_script('custom.modernizr', "http://themes.webdevia.com/flat-metro-wp/agency/wp-content/themes/flat-metro/js/vendor/custom.modernizr.js", array( 'jquery' ) );
  //wp_enqueue_script('foundation',       get_template_directory_uri() . "/js/foundation.min.js", array( 'jquery' ) );
 // wp_enqueue_script('modernizr-custom', get_template_directory_uri() . "/js/modernizr.custom.js", array( 'jquery' ) );
  wp_enqueue_script('responsiveslides', get_template_directory_uri() . "/js/responsiveslides.js", array( 'jquery' ) );
  wp_enqueue_script('scripts',          get_template_directory_uri() . "/js/scripts.js", array( 'jquery' ) );
  
  
  
  
  
  
  global $wd_tiles;
  $custom_css = '';
  
  foreach ($wd_tiles as $key => $wd_tile) {
    if(isset($wd_tile['color'])){
      $custom_css .= " .color-$key {
        background-color: " . $wd_tile['color'] . ";
      }";
    }
  }
  
  foreach ($wd_tiles as $key => $wd_tile) {
    if(isset($wd_tile['wdtile_bg'])){
      $custom_css .= " .color-$key {
        background-image: url('" . $wd_tile['wdtile_bg'] . "');
        background-size:cover;
      }";
    }
  }
    
    
  $pages = wd_get_posts_by_meta_key('wd_show_in_start', "1");
      
  foreach ($pages as $key => $page) {
    $ids[] = $page->ID;
    
    $wd_page_bg_img = get_post_meta($page->ID, 'wd_page_bg_img', true);
    $wd_page_bg_img = wp_get_attachment_image_src( $wd_page_bg_img, 'full' );
  
    $custom_css .= " .page-section-".$page->ID.", .menu-list li a .color--".$page->ID." {
      background-color: " . get_post_meta($page->ID, 'wd_page_color_bg', true) . ";
      background-image: url($wd_page_bg_img[0]);
      color:      " . get_post_meta($page->ID, 'wd_page_color', true) . ";
    }";
    
    $wd_page_bg_img = "";
  } 
  
  
  global $wp_query;
  $thePageID = $wp_query->post->ID;
  
  $wd_page_bg_img = get_post_meta($thePageID, 'wd_page_bg_img', true);
  $wd_page_bg_img = wp_get_attachment_image_src( $wd_page_bg_img, 'full' ); 
  
  $custom_css .= ".page-section.home-page {
      background: url($wd_page_bg_img[0]) " . get_post_meta($thePageID, 'wd_page_color_bg', true) . ";
      color:      " . get_post_meta($thePageID, 'wd_page_color', true) . ";
      background-size: cover;
    }";
  
  if( !isset($_GET['op']) || $_GET['op'] != "Search" ){  
    $custom_css .= ".site-name a,
      .showMenu,
      .showMenu a,
      a {
        color:      " . get_post_meta($thePageID, 'wd_page_color', true) . ";
      } ";
  }
  
  // set link color to page text color if the page should be displed in the startscreen
  $wd_show_in_start = get_post_meta($thePageID, 'wd_show_in_start');
  if( $wd_show_in_start == 1 ){
    $custom_css .= "a {
        color:      " . get_post_meta($thePageID, 'wd_page_color', true) . ";
      } ";
  }
    
  $custom_css .= " .menu-row.row {
    margin-bottom: ".get_option('wd_margin_logo').";
	}
	";
	  // Menu Background
  
  $custom_css .= " .vertical-menu {
  	background-image : url(".get_option('wd_menu_bg_img') .");
  	background-size : cover;
    background-color:      " . get_option('wd_menu_bg') . ";
  } 
	.menu-list li a  {
   		color:      " . get_option('wd_menu_text_color') . ";
   }
  .vertical-menu .menu-list a:hover, 
  .vertical-menu .menu-list a.active {
    background: " . get_option('wd_menu_ahover_bg') . ";
  }
  .vertical-menu li ul, .vertical-menu li ul li ul {
    background: " . get_option('wd_menu_submenu_bg') . ";
  }";
  $custom_css .= get_option('wd_theme_custom_css');
        
   wp_add_inline_style( 'custom-style', $custom_css );
   
  }

  add_action( 'wp_enqueue_scripts', 'wd_generate_styles' );  
}

function wd_generate_scripts() {
wp_enqueue_script('custom-scripts',     get_template_directory_uri() . "/js/scripts.js", array( 'jquery', 'hoverIntent' ) );
if(get_option('wd_page_transition')!=false){
        $wd_theme_transition=get_option('wd_page_transition', true);
    }else{
       $wd_theme_transition = 58;
    }
    $theme_params = array(
      'pageTransition' => $wd_theme_transition,
      'MenuStyle'      => get_option('wd_menu_style', 'fixed'),
    );
    
    wp_localize_script( 'custom-scripts', 'themeParams', $theme_params ); 
}
add_action( 'wp_enqueue_scripts', 'wd_generate_scripts' );
