<?php



if( !function_exists( 'wd_get_tile_info' ) ){
    function wd_get_tile_info( $value, $color = NULL, $column = NULL, $content = NULL, $title = NULL , $tile_img_bg = NULL,$tile_url=NULL,$tile_title_link=NULL,$featured_post = NULL,$icon=NULL ){
        $output = array();
        $dash_position = strpos($value, '-');
        $type = substr( $value, 0, $dash_position );
        switch ($type) {
            case 'page':
                $output['tile size'] = "medium";
                $output['tile type'] = "page";
                $output['id']        = substr( $value, $dash_position + 1 );
                break;
            case 'semi_large':
                $output['tile size'] = "semi_large";

                if(isset($output['content'])){
                    $output['tile type'] = "custom";
                }else{
                    $output['tile type'] = "semi_large";
                }

                $output['id']        = substr( $value, $dash_position + 1 );
                $output['title']     = $title;
                break;

            case 'semi_small':
                $output['tile size'] = "semi_small";

                if(isset($output['content'])){
                    $output['tile type'] = "custom";
                }else{
                    $output['tile type'] = "semi_small";
                }

                $output['id']        = substr( $value, $dash_position + 1 );
                $output['title']     = $title;
                break;

            case 'social':
                $output['tile size'] = "medium";
                $output['tile type'] = "social";
                $output['id']        = substr( $value, $dash_position + 1 );
                break;

            case 'vide':
                $output['tile size'] = "medium";
                $output['tile type'] = "vide";
                $output['id']        = substr( $value, $dash_position + 1 );
                break;

            case 'link':
                $output['tile size'] = "medium";
                $output['tile type'] = "link";
                $output['id']        = substr( $value, $dash_position + 1 );
                break;

            case 'wide':
                $output['tile size'] = "wide";
                $output['tile type'] = "wide";
                $output['id']        = substr( $value, $dash_position + 1 );
                $output['title']     = $title;
                break;

            case 'big':
                $output['tile size'] = "big";

                if(isset($output['content'])){
                    $output['tile type'] = "custom";
                }else{
                    $output['tile type'] = "big";
                }

                $output['id']        = substr( $value, $dash_position + 1 );
                $output['title']     = $title;
                break;



            default:
                break;
        }

        if( isset($color)) {
            $output['color'] = $color;
        }
        if( isset($tile_img_bg)) {
            $output['wdtile_bg'] = $tile_img_bg;
        }

        if( isset($column)) {
            $output['column'] = $column;
        }

        if( isset($content)) {
            $output['content'] = $content;
        }

        if( isset($tile_url)) {

            $output['url'] = $tile_url;

        }
        if( isset($tile_title_link)) {

            $output['url_title'] = $tile_title_link;

        }
        if( isset($featured_post)) {

            $output['featured_post'] = $featured_post;

        }
        if( isset($icon)) {

            $output['icon'] = $icon;

        }

        return $output;
    }
}


/*///////////////////////////////// Register Panel Scripts and Styles /////////////////////////////////////////*/
function wd_admin_register() {

    wp_register_script( 'wd-admin-main', get_template_directory_uri() . '/inc/js/script.js',
        array( 'jquery', 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-mouse', 'jquery-ui-tabs',
            'jquery-ui-droppable', 'jquery-ui-sortable' ) , false , false );
    wp_register_style( 'wd-style', get_template_directory_uri().'/inc/css/style.css', array(), '20120208', 'all' );

    if ( isset( $_GET['page'] ) && $_GET['page'] == 'option panel' ) {


    }
    wp_enqueue_script( 'wd-admin-main' );
    wp_enqueue_style( 'wd-style' );

}
add_action( 'admin_enqueue_scripts', 'wd_admin_register' );



if(!function_exists('wd_load_color_picker')){
    add_action( 'load-widgets.php', 'wd_load_color_picker' );
    function wd_load_color_picker() {
        wp_enqueue_style( 'wp-color-picker' );
        wp_enqueue_script( 'wp-color-picker' );
    }
}




/*///////////////////////////////// Theme Options /////////////////////////////////////////*/
if(!function_exists('wd_panel_option')){
    add_action('admin_menu','wd_panel_option');
    function wd_panel_option(){

        add_theme_support( 'custom-header' );

        add_theme_page('Flat-Metro Options', 'Flat-Metro Options', 'edit_theme_options', 'flat-metro-theme-option' , 'wd_theme_option');
    }
}


if(!function_exists('wd_theme_option')){
    function wd_theme_option() {

        wp_enqueue_media();

        global $wd_tiles;

        wp_enqueue_script('wp-color-picker');
        wp_enqueue_style( 'wp-color-picker' );
        ?>
        <script type="text/javascript">
            jQuery(document).ready(function($) {
                $('.wd-color-picker').wpColorPicker();


                // detect the change
                $('.wd-color-picker').bind("change keyup paste input",function() {
                    $(this).parent().parent().parent().css('background', "#F00");
                });

                $('.iris-square-value').on('mousedown', function(e) {
                    //alert('clicked');
                }).on('mouseup', function(e) {
                    $(this).parent().parent().parent().parent().parent().parent().css('background', $(this).parent().parent().parent().parent().parent().find('.wd-color-picker').val() );
                })

                $('.option-item.tile .iris-square-value').each(function( index ) {
                    $(this).parent().parent().parent().parent().parent().parent().css('background', $(this).parent().parent().parent().parent().parent().find('.wd-color-picker').val() );
                });

                //---------------logo script-----------
                jQuery('#wd_upload_btn').click(function(){
                    wp.media.editor.send.attachment = function(props, attachment){
                        jQuery('#wd_logo_filed').val(attachment.url);
                    }


                    wp.media.editor.open(this);

                    return false;
                });
                //------favicon script-----
                jQuery('#wd_upload_favicon').click(function(){
                    wp.media.editor.send.attachment = function(props, attachment){
                        jQuery('#wd_favicon_filed').val(attachment.url);
                    }
                    wp.media.editor.open(this);

                    return false;
                });
                //------ Menu Background image -----
                jQuery('#wd_upload_btn_bg').click(function(){
                    var that = this;
                    wp.media.editor.send.attachment = function(props, attachment){
                        jQuery('#wd_menu_bg_img_filed').val(attachment.url);
                        //JQuery(that).parent().append('<img src="'+ attachment.url +'" />')
                    }
                    wp.media.editor.open(this);
                    return false;
                });
                //------tile baground image-----
                jQuery('.wd_tile-bg').click(function(){
                    var that = this;
                    wp.media.editor.send.attachment = function(props, attachment){
                        jQuery(that).val(attachment.url);
                    }
                    wp.media.editor.open(this);

                    return false;
                });
                //-------------------------------------


                $('.option-item.big.tile select').change(function () {
                    var optionSelected = $(this).find("option:selected");
                    var valueSelected  = optionSelected.val();

                    if( valueSelected == 'big-custom_text'){
                        $(this).parent().find('textarea').show();
                    }else{
                        $(this).parent().find('textarea').hide();
                    }
                });

                /**********inpute url ************/
                $('.option-item.medium.tile select.tile').change(function () {
                    var optionSelected = $(this).find("option:selected");
                    var valueSelected  = optionSelected.val();

                    if( valueSelected == 'link-link'){

                        $(this).parent().find('.wd_link').show();
                    }else{

                        $(this).parent().find('.wd_link').hide();
                    }
                });
                /**********featured post ***********/
                $('.option-item.wide.tile select.featured').change(function () {
                    var optionSelected = $(this).find("option:selected");
                    var valueSelected  = optionSelected.val();

                    if( valueSelected == 'wide-feature_blog_post'){

                        $(this).parent().find('.wd_featured').show();
                    }else{

                        $(this).parent().find('.wd_featured').hide();
                    }
                });

            });
        </script>
        <?php
        // Get lsit of Start screens layouts
        $start_screans = wd_get_start_screens();


        if(isset($_POST['wd_start_screan'])){
            update_option('wd_start_screan', $_POST['wd_start_screan']);
        }

        $sreen_index = get_option('wd_start_screan');
        if(is_numeric($sreen_index)){
            $current_start_screan = $start_screans[$sreen_index];
        }else {
            $current_start_screan = $start_screans[0];
        }



        $wide_tiles = array(
            'twitter'           => "Latest Tweets",
            'testimonials'      => "Testimonials",
            'feature_blog_post' => "Featured Post/Page",
            'featured_project'  => "Featured Project" ,
            'boss_pic'          => "Boss Picture linked to team page" ,
            'next_event'        => "Next Event" );

        $big_tiles = array(
            'portfolio_slider' => "Portfolio Slider",
            'blog_slider'      => "Blog Post Slider",
            //'gallery_slider'   => "Gallery Slider",
            'slider_video'   => "Slider",
            'custom_text'      => "Custom Text" );

        $semi_large_tiles = array(
            'custom_text'      => "Custom HTML"
        );



        if(!empty($_POST)){

            // create tile array to save
            $tiles = array();
            $tiles[] = '';

            foreach ($current_start_screan as $key => $value) {
                //if(isset($_POST['tile-'. $key])){
                $column = (isset($_POST['column-'. $key])) ? $_POST['column-'. $key] : NULL;
                $color  = (isset($_POST['color-'. $key]))  ? $_POST['color-'. $key]  : NULL;
                $icon  = (isset($_POST['icon-'. $key]))  ? $_POST['icon-'. $key]  : NULL;
                $tile_img_bg  = (isset($_POST['tile-bg-'. $key]))  ? $_POST['tile-bg-'. $key]  : NULL;
                $title  = (isset($_POST['title-'. $key]))  ? $_POST['title-'. $key]  : NULL;
                $tile_url = (isset($_POST['url-'. $key]))  ? $_POST['url-'. $key]  : NULL;
                $tile_title_link = (isset($_POST['link-title-'. $key]))  ? $_POST['link-title-'. $key]  : NULL;
                $the_tile  = (isset($_POST['tile-'. $key]))  ? $_POST['tile-'. $key]  : NULL;
                $featured_post  = (isset($_POST['featured-post-'. $key]))  ? $_POST['featured-post-'. $key]  : NULL;


                $content  = (isset($_POST['content-'. $key]))  ? str_replace("\\", '', $_POST['content-'. $key])  : NULL;



                $tiles[] = wd_get_tile_info( $the_tile, $color, $column, $content, $title ,$tile_img_bg ,$tile_url,$tile_title_link,$featured_post,$icon ) ;

                //}
            }
            unset($tiles[0]);

            // save the tiles array
            update_option('tiles', $tiles );
            $wd_tiles = get_option('tiles');


            if(isset($_POST['wd_show_logo']))
                update_option('wd_show_logo', $_POST['wd_show_logo']);
            else
                update_option('wd_show_logo', '');


            if(isset($_POST['wd_on_hover_show_menu']))
                update_option('wd_on_hover_show_menu', $_POST['wd_on_hover_show_menu']);
            else
                update_option('wd_on_hover_show_menu', '');

            if(isset($_POST['wd_menu_fix']))
                update_option('wd_menu_fix', $_POST['wd_menu_fix']);
            else
                update_option('wd_menu_fix', '');

            if(isset($_POST['wd_show_menu_inleft']))
                update_option('wd_show_menu_inleft', $_POST['wd_show_menu_inleft']);
            else
                update_option('wd_show_menu_inleft', '');

            if( isset($_POST['settings']['_wd_menu_bg_img']) && $_POST['settings']['_wd_menu_bg_img'] != "" )
                update_option('wd_menu_bg_img',          $_POST['settings']['_wd_menu_bg_img']);

            if( isset($_POST['settings']['_wd_logo']) && $_POST['settings']['_wd_logo'] != "" )
                update_option('wd_logo', $_POST['settings']['_wd_logo']);

            if(isset($_POST['wd_show_title']))
                update_option('wd_show_title', $_POST['wd_show_title']);
            else
                update_option('wd_show_title', 'of');

            update_option('wd_favicon', $_POST['settings']['_wd_favicon']);
            if( isset($_POST['settings']['_wd_tilebg']) )
                update_option('wd_tilebg', $_POST['settings']['_wd_tilebg']);

            update_option('wd_menu_bg',      $_POST['wd_menu_bg']);
            update_option('wd_menu_text_color',      $_POST['wd_menu_text_color']);

            update_option('wd_menu_ahover_bg',  $_POST['wd_menu_ahover_bg']);
            update_option('wd_menu_submenu_bg', $_POST['wd_menu_submenu_bg']);

            update_option('wd_copyright', $_POST['wd_copyright']);
            update_option('wd_margin_logo', $_POST['wd_margin_logo']);


            if(isset($_POST['wd_page_transition']))
                update_option('wd_page_transition', $_POST['wd_page_transition']);
            else
                update_option('wd_page_transition', 58);

            update_option('twitter', $_POST['twitter']);
            update_option('facebook', $_POST['facebook']);
            update_option('flickr', $_POST['flickr']);
            update_option('google_plus', $_POST['google_plus']);

            if(isset($_POST['wd_theme_custom_css']))
                update_option('wd_theme_custom_css',               $_POST['wd_theme_custom_css']);

            if(isset($_POST['wd_theme_custom_js']))
                update_option('wd_theme_custom_js',               $_POST['wd_theme_custom_js']);

            update_option('wd_lt_twitter_user', $_POST['wd_lt_twitter_user']);
            update_option('wd_lt_consumer_key', $_POST['wd_lt_consumer_key']);
            update_option('wd_lt_consumer_secret', $_POST['wd_lt_consumer_secret']);
            update_option('wd_lt_oauth_token', $_POST['wd_lt_oauth_token']);
            update_option('wd_lt_oauth_token_secret', $_POST['wd_lt_oauth_token_secret']);


        } ?>





        <h2><?php echo __('Theme Options', THEME_NAME); ?></h2>

        <?php if(!empty($_POST)): ?>
            <div id="message" class="updated fade">
                <p><?php echo __('Configuration updated!!', THEME_NAME); ?> </p>
            </div>
        <?php endif;  ?>


        <div class="wd-cpanel">
            <form id="wd-Panel"  method="POST" action="">
                <div id="tabs">
                    <ul>
                        <li><a href="#tabs-0"><?php echo __('General Settings', THEME_NAME); ?></a></li>
                        <li><a href="#tabs-1"><?php echo __('Menu Settings', THEME_NAME); ?></a></li>
                        <li><a href="#tabs-2"><?php echo __('Start Screan Tiles', THEME_NAME); ?></a></li>
                        <li><a href="#tabs-3"><?php echo __('Social Icons', THEME_NAME); ?></a></li>
                        <li><a href="#tabs-4"><?php echo __('Latest Tweets Configuration', THEME_NAME); ?></a></li>
                        <li><a href="#tabs-5"><?php echo __('Theme Custom Css & js', THEME_NAME); ?></a></li>
                        <li><a href="#tabs-6"><?php echo __('Import Demos', 'webdevia'); ?></a></li>
                    </ul>
                    <div id="tabs-0">
                        <table class="form-table">
                            <tbody>

                            <tr valign="top">
                                <td scope="row">
                                    <strong><?php echo __('Page transition effect', THEME_NAME); ?></strong>
                                    <?php $animation=array('moveToLeft','moveToRight','moveToTop','moveToBottom','moveFromRight','moveFromLeft','moveFromBottom','moveFromTop','moveToLeftFade','ToRightFade','moveToTopFade','moveToBottomFade','moveToLeftEasing','moveToRightEasing','moveToTopEasing','moveToBottomEasing','scaleDown-moveFromRight','scaleDown-moveFromLeft','scaleDown-moveFromBottom','scaleDown-moveFromTop','scaleUpDown','scaleDownUp','moveToLeft-scaleUp','moveToRight-scaleUp','moveToTop-scaleUp','moveToBottom-scaleUp','scaleUpCenter','rotateRightSideFirst-moveFromRight','rotateLeftSideFirst-moveFromLeft','rotateTopSideFirst-moveFromTop','rotateBottomSideFirst-moveFromBottom','flipOutRight','flipOutLeft','flipOutTop','flipOutBottom','rotateFall','rotateOutNewspaper','rotatePushLeft','rotatePushRight','rotatePushTop','rotatePushBottom','rotatePullRight','rotatePullLeft','rotatePullBottom','rotatePullTop','rotateFoldLeft','rotateFoldRight','rotateFoldTop','rotateFoldBottom','moveToRightFade','rotateUnfoldRight','rotateUnfoldTop','rotateUnfoldBottom','rotateRoomLeftIn','rotateRoomRightOut','rotateRoomTopOut','rotateRoomBottomOut','rotateCubeLeftOut','rotateCubeRightOut','rotateCubeTopOut','rotateCubeBottomOut','rotateCarouselLeftOut','rotateCarouselRightOut','rotateCarouselTopOut','rotateCarouselBottomOut','rotateSidesOut','rotateSlideIn') ?>
                                </td><td>
                                    <select name="wd_page_transition">
                                        <?php
                                        if(get_option('wd_page_transition')==false)  update_option('wd_page_transition', 58);
                                        foreach($animation as $key => $value){ ?>
                                            <option value="<?php echo $key + 1 ?>" <?php if(get_option('wd_page_transition') == ($key + 1) )  echo 'selected'; ?>>
                                                <?php echo $value ?></option>
                                        <?php  } ?>
                                    </select>

                                </td>
                            </tr>


                            <tr>
                                <td>

                                    <strong><?php echo __('Show Website Title', THEME_NAME); ?></strong>
                                </td><td>
                                    <input type="checkbox" <?php if(get_option('wd_show_title') != 'of') print 'checked'; ?> class="cmn-toggle cmn-toggle-round" name="wd_show_title" value="on" id="wd_show_title"/>
                                    <label for="wd_show_title"></label>
                                </td>
                            </tr>
                            <tr valign="top">
                                <td> <strong>Show The Logo </strong> </td><td>
                                    <input type="checkbox" <?php if(get_option('wd_show_logo') == 'on') print 'checked'; ?> class="cmn-toggle cmn-toggle-round" name="wd_show_logo" value="on" id="wd_show_logo"/>
                                    <label for="wd_show_logo"></label>
                                </td>
                            </tr>

                            <tr valign="top">
                                <td>   <strong>Space Logo & Title <strong><td>
                                    <label><input type="text"   name="wd_margin_logo"  id="wd_margin_logo" value="<?php echo get_option('wd_margin_logo',''); ?>"/></label>
                                    <p class="description">Space between logo and Tiles (ex. 10px) </p>
                                </td>
                            </tr>

                            <tr valign="top">
                                <td> <strong>Uploade logo </strong> </td>
                                <td>  <input type="text" name="settings[_wd_logo]" id="wd_logo_filed" />
                                    <input class="button" name="_unique_name_button" id="wd_upload_btn" value="Upload" /></td>
                                </th>
                                <td> <?php
                                    $wd_logo = get_option('wd_logo');
                                    if(!empty($wd_logo)): ?> <img src="<?php print $wd_logo; ?>" style="max-height: 100px;" /> <?php endif;  ?></td>
                            </tr>
                            <!--favicon-->
                            <tr valign="top">
                                <td><strong>Favicon:</strong></td>
                                <td>  <input type="text" name="settings[_wd_favicon]" id="wd_favicon_filed" />
                                    <input class="button" name="_unique_name_favicon" id="wd_upload_favicon" value="Upload" /></td>
                                </th>
                                <td> <?php
                                    $wd_favicon = get_option('wd_favicon');
                                    if(!empty($wd_favicon)): ?> <img src="<?php print $wd_favicon; ?>" style="max-height: 100px;" /> <?php endif;  ?></td>
                            </tr>

                            <!-- *************** -->
                            <tr valign="top">
                                <td><strong><?php echo __('Footer Copyright text' , THEME_NAME); ?></strong></td>


                                <?php
                                $copyright = get_option('wd_copyright');
                                $copyright = (!empty($copyright)) ?  get_option('wd_copyright') : '&copy; 2018 Flat Metro All rights reserved.'; ?>
                                <td><input type="text" class="wd_txt_big" name="wd_copyright" placeholder="Footer Copyright text" value="<?php echo $copyright; ?>"></td>
                            </tr>

                            </tbody>
                        </table>

                    </div>
                    <div id="tabs-1">
                        <table class="form-table">
                            <tbody>
                            <tr>
                                <td>


                                    <strong><?php echo __('Menu background image:', THEME_NAME); ?></strong></td>
                                <td>
                                    <input type="text" name="settings[_wd_menu_bg_img]" id="wd_menu_bg_img_filed" />
                                    <input class="button" name="_unique_name_button" id="wd_upload_btn_bg" value="Upload" />

                                </td>

                                <?php $wd_menu_bg_img = get_option('wd_menu_bg_img');
                                if(!empty($wd_menu_bg_img) && $wd_menu_bg_img != "none" ): ?>
                                    <td class="img-container">
                                        <img src="<?php print $wd_menu_bg_img; ?>" style="max-height: 100px;" />
                                        <span class="remove-img">X</span>
                                    </td>
                                <?php endif; ?>
                            </tr>

                            <tr valign="top">
                                <td><strong><?php echo __('Show Menu on Hover',THEME_NAME)?></strong>
                                </td>
                                <td>
                                    <input type="checkbox" <?php if(get_option('wd_on_hover_show_menu') == 'on') print 'checked'; ?> class="cmn-toggle cmn-toggle-round" name="wd_on_hover_show_menu" value="on" id="wd_on_hover_show_menu"/>
                                    <label for="wd_on_hover_show_menu"></label>
                                </td>

                            </tr>

                            <tr valign="top">
                                <td><strong><?php echo __('Fixed Menu',THEME_NAME)?></strong></td>
                                <td>
                                    <input type="checkbox" <?php if(get_option('wd_menu_fix') == 'on') print 'checked'; ?> class="cmn-toggle cmn-toggle-round" name="wd_menu_fix" value="on" id="wd_menu_fix"/>
                                    <label for="wd_menu_fix"></label>
                                </td>

                            </tr>

                            <tr valign="top">
                                <td><strong><?php echo __('Show Menu on the Left Side',THEME_NAME)?></strong>  </td>
                                <td>
                                    <input type="checkbox" <?php if(get_option('wd_show_menu_inleft') == 'on') print 'checked'; ?> class="cmn-toggle cmn-toggle-round" name="wd_show_menu_inleft" value="on" id="wd_show_menu_inleft"/>
                                    <label for="wd_show_menu_inleft"></label>
                                </td>

                            </tr>

                            <tr valign="top">
                                <td><strong><?php echo __('Menu Background Color:',THEME_NAME)?></strong></td>
                                <td><?php $wd_menu_bg = get_option('wd_menu_bg'); ?>
                                    <input name="wd_menu_bg" type="text" value="<?php print $wd_menu_bg; ?>" class="wd-color-picker" data-default-color="#C0392B"></td>
                            </tr>
                            <tr valign="top">
                                <td><strong><?php echo __('Menu Text Color:',THEME_NAME)?></strong></td>
                                <td><?php $wd_menu_text_color = get_option('wd_menu_text_color'); ?>
                                    <input name="wd_menu_text_color" type="text" value="<?php print $wd_menu_text_color; ?>" class="wd-color-picker" data-default-color="#C0392B"></td>
                            </tr>
                            <tr valign="top">
                                <td><strong><?php echo __('Menu link hover background:',THEME_NAME)?></strong></td>
                                <td><?php $wd_menu_ahover_bg = get_option('wd_menu_ahover_bg'); ?>
                                    <input name="wd_menu_ahover_bg" type="text" value="<?php print $wd_menu_ahover_bg; ?>" class="wd-color-picker" data-default-color="#C0392B"></td>
                            </tr>
                            <tr valign="top">
                                <td><strong><?php echo __('Sub-Menu link background:',THEME_NAME)?></strong></td>
                                <td><?php $wd_menu_submenu_bg = get_option('wd_menu_submenu_bg'); ?>
                                    <input name="wd_menu_submenu_bg" type="text" value="<?php print $wd_menu_submenu_bg; ?>" class="wd-color-picker" data-default-color="#C0392B"></td>
                            </tr>

                            </tbody>
                        </table>
                    </div>

                    <div id="tabs-2">
                        <h3><?php echo __('Select a Layout', THEME_NAME ) ?>:</h3>
                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="0" <?php if($sreen_index == '0') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-0.png"/> </label>
                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="1" <?php if($sreen_index == '1') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-1.png"/> </label>
                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="2" <?php if($sreen_index == '2') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-2.png"/> </label>
                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="3" <?php if($sreen_index == '3') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-3.png"/> </label>
                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="4" <?php if($sreen_index == '4') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-4.png"/> </label>
                        <!-- modefie -->
                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="5" <?php if($sreen_index == '5') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-5.png"/> </label>
                        <!--  -->
                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="6" <?php if($sreen_index == '6') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-2.png"/> </label>
                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="7" <?php if($sreen_index == '7') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-7.png"/> </label>
                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="8" <?php if($sreen_index == '8') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-8.png"/> </label>

                        <label class="wd_start_screan-l">
                            <input type="radio" name="wd_start_screan" class="wd_start_screan" value="9" <?php if($sreen_index == '9') print 'checked'; ?>>
                            <img src="<?php print get_template_directory_uri(); ?>/images/screen-9.png"/> </label>

                        <br/>

                        <h3><?php echo __('Tiles Settings:', THEME_NAME ) ?></h3>
                        <div style="background: url('<?php echo get_template_directory_uri() ?>/images/panel-bg.jpg'); overflow: hidden; padding: 80px 15px; min-width:1600px;">
                            <?php
                            $pages_id = wd_get_page_id();
                            $old_column = 1;
                            foreach ($current_start_screan as $tile_postion => $tile) {
                            if( $tile_postion == 1 || $tile['column'] != $old_column  ) {
                            if( $tile_postion != 1 || $tile['column'] != $old_column  ) {
                                echo "</div> ";
                            } ?>
                            <div class="large-4 columns">
                                <?php $old_column = $tile['column'];
                                }
                                if( isset($tile['type']) && $tile['type'] == 'medium') :

                                    ?>
                                    <div class="option-item medium tile tile-<?php echo $tile_postion ?>">
                                        <div class="label"><span><?php echo 'Position '. $tile_postion ?></span></div>
                                        <select class="tile" name="tile-<?php echo $tile_postion ?>">
                                            <optgroup label="Pages">            <?php

                                                foreach ( $pages_id as $key => $page_id ) {
                                                    ( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $page_id) ? ($selected = 'selected=selected') : $selected = ''; ?>
                                                    <option value="page-<?php print $page_id ?>" <?php echo $selected ?> ><?php print get_the_title($page_id) ?></option>   <?php
                                                }
                                                if(!isset($wd_tiles[$tile_postion]['id'])) {
                                                    $wd_tiles[$tile_postion]['id'] = 'facebook';
                                                }
                                                ?>
                                            </optgroup>
                                            <optgroup label="Social Icons">
                                                <option value="social-facebook" <?php if($wd_tiles[$tile_postion]['id'] == 'facebook') {$selected = 'selected=selected'; echo $selected; }else{  $selected = '';echo $selected;} ?>>Facebook</option>
                                                <option value="social-twitter" <?php if($wd_tiles[$tile_postion]['id'] == 'twitter') {$selected = 'selected=selected'; echo $selected; }else{  $selected = '';echo $selected;} ?>>Twitter</option>
                                            </optgroup>
                                            <optgroup label="link-link">
                                                <option value="link-link" <?php if($wd_tiles[$tile_postion]['id'] == 'link') {$selected_link = 'selected=selected'; echo $selected_link; }else{  $selected_link = '';echo $selected_link;} ?> >Tile with link</option>
                                            </optgroup>
                                            <optgroup label="vide">
                                                <option value="vide-vide" <?php if($wd_tiles[$tile_postion]['id'] == 'vide') {$selected = 'selected=selected'; echo $selected; }else{  $selected = '';echo $selected;} ?>>Empty Tile</option>
                                            </optgroup>
                                        </select>
                                        <div class="wd_link"  <?php if( $selected_link == '' ):?> style="display: none" <?php  endif; ?>>
                                            <label>Title <input class="wd_link" name="link-title-<?php echo $tile_postion ?>" value="<?php if(isset($wd_tiles[$tile_postion]['url_title'])) print $wd_tiles[$tile_postion]['url_title'] ?>">
                                            </label>
                                            <label>URL<input class="wd_link" name="url-<?php echo $tile_postion ?>" value="<?php if(isset($wd_tiles[$tile_postion]['url'])) print $wd_tiles[$tile_postion]['url'] ?>">
                                            </label>
                                            <?php
                                            $icons = 'a:370:{i:0;s:14:"---- None ----";s:9:"fa-adjust";s:9:"fa-adjust";s:6:"fa-adn";s:6:"fa-adn";s:15:"fa-align-center";s:15:"fa-align-center";s:16:"fa-align-justify";s:16:"fa-align-justify";s:13:"fa-align-left";s:13:"fa-align-left";s:14:"fa-align-right";s:14:"fa-align-right";s:12:"fa-ambulance";s:12:"fa-ambulance";s:9:"fa-anchor";s:9:"fa-anchor";s:10:"fa-android";s:10:"fa-android";s:20:"fa-angle-double-down";s:20:"fa-angle-double-down";s:20:"fa-angle-double-left";s:20:"fa-angle-double-left";s:21:"fa-angle-double-right";s:21:"fa-angle-double-right";s:18:"fa-angle-double-up";s:18:"fa-angle-double-up";s:13:"fa-angle-down";s:13:"fa-angle-down";s:13:"fa-angle-left";s:13:"fa-angle-left";s:14:"fa-angle-right";s:14:"fa-angle-right";s:11:"fa-angle-up";s:11:"fa-angle-up";s:8:"fa-apple";s:8:"fa-apple";s:10:"fa-archive";s:10:"fa-archive";s:20:"fa-arrow-circle-down";s:20:"fa-arrow-circle-down";s:20:"fa-arrow-circle-left";s:20:"fa-arrow-circle-left";s:22:"fa-arrow-circle-o-down";s:22:"fa-arrow-circle-o-down";s:22:"fa-arrow-circle-o-left";s:22:"fa-arrow-circle-o-left";s:23:"fa-arrow-circle-o-right";s:23:"fa-arrow-circle-o-right";s:20:"fa-arrow-circle-o-up";s:20:"fa-arrow-circle-o-up";s:21:"fa-arrow-circle-right";s:21:"fa-arrow-circle-right";s:18:"fa-arrow-circle-up";s:18:"fa-arrow-circle-up";s:13:"fa-arrow-down";s:13:"fa-arrow-down";s:13:"fa-arrow-left";s:13:"fa-arrow-left";s:14:"fa-arrow-right";s:14:"fa-arrow-right";s:11:"fa-arrow-up";s:11:"fa-arrow-up";s:9:"fa-arrows";s:9:"fa-arrows";s:13:"fa-arrows-alt";s:13:"fa-arrows-alt";s:11:"fa-arrows-h";s:11:"fa-arrows-h";s:11:"fa-arrows-v";s:11:"fa-arrows-v";s:11:"fa-asterisk";s:11:"fa-asterisk";s:11:"fa-backward";s:11:"fa-backward";s:6:"fa-ban";s:6:"fa-ban";s:14:"fa-bar-chart-o";s:14:"fa-bar-chart-o";s:10:"fa-barcode";s:10:"fa-barcode";s:7:"fa-bars";s:7:"fa-bars";s:7:"fa-beer";s:7:"fa-beer";s:7:"fa-bell";s:7:"fa-bell";s:9:"fa-bell-o";s:9:"fa-bell-o";s:12:"fa-bitbucket";s:12:"fa-bitbucket";s:19:"fa-bitbucket-square";s:19:"fa-bitbucket-square";s:7:"fa-bold";s:7:"fa-bold";s:7:"fa-bolt";s:7:"fa-bolt";s:7:"fa-book";s:7:"fa-book";s:11:"fa-bookmark";s:11:"fa-bookmark";s:13:"fa-bookmark-o";s:13:"fa-bookmark-o";s:12:"fa-briefcase";s:12:"fa-briefcase";s:6:"fa-btc";s:6:"fa-btc";s:6:"fa-bug";s:6:"fa-bug";s:13:"fa-building-o";s:13:"fa-building-o";s:11:"fa-bullhorn";s:11:"fa-bullhorn";s:11:"fa-bullseye";s:11:"fa-bullseye";s:11:"fa-calendar";s:11:"fa-calendar";s:13:"fa-calendar-o";s:13:"fa-calendar-o";s:9:"fa-camera";s:9:"fa-camera";s:15:"fa-camera-retro";s:15:"fa-camera-retro";s:13:"fa-caret-down";s:13:"fa-caret-down";s:13:"fa-caret-left";s:13:"fa-caret-left";s:14:"fa-caret-right";s:14:"fa-caret-right";s:22:"fa-caret-square-o-down";s:22:"fa-caret-square-o-down";s:22:"fa-caret-square-o-left";s:22:"fa-caret-square-o-left";s:23:"fa-caret-square-o-right";s:23:"fa-caret-square-o-right";s:20:"fa-caret-square-o-up";s:20:"fa-caret-square-o-up";s:11:"fa-caret-up";s:11:"fa-caret-up";s:14:"fa-certificate";s:14:"fa-certificate";s:15:"fa-chain-broken";s:15:"fa-chain-broken";s:8:"fa-check";s:8:"fa-check";s:15:"fa-check-circle";s:15:"fa-check-circle";s:17:"fa-check-circle-o";s:17:"fa-check-circle-o";s:15:"fa-check-square";s:15:"fa-check-square";s:17:"fa-check-square-o";s:17:"fa-check-square-o";s:22:"fa-chevron-circle-down";s:22:"fa-chevron-circle-down";s:22:"fa-chevron-circle-left";s:22:"fa-chevron-circle-left";s:23:"fa-chevron-circle-right";s:23:"fa-chevron-circle-right";s:20:"fa-chevron-circle-up";s:20:"fa-chevron-circle-up";s:15:"fa-chevron-down";s:15:"fa-chevron-down";s:15:"fa-chevron-left";s:15:"fa-chevron-left";s:16:"fa-chevron-right";s:16:"fa-chevron-right";s:13:"fa-chevron-up";s:13:"fa-chevron-up";s:9:"fa-circle";s:9:"fa-circle";s:11:"fa-circle-o";s:11:"fa-circle-o";s:12:"fa-clipboard";s:12:"fa-clipboard";s:10:"fa-clock-o";s:10:"fa-clock-o";s:8:"fa-cloud";s:8:"fa-cloud";s:17:"fa-cloud-download";s:17:"fa-cloud-download";s:15:"fa-cloud-upload";s:15:"fa-cloud-upload";s:7:"fa-code";s:7:"fa-code";s:12:"fa-code-fork";s:12:"fa-code-fork";s:9:"fa-coffee";s:9:"fa-coffee";s:6:"fa-cog";s:6:"fa-cog";s:7:"fa-cogs";s:7:"fa-cogs";s:10:"fa-columns";s:10:"fa-columns";s:10:"fa-comment";s:10:"fa-comment";s:12:"fa-comment-o";s:12:"fa-comment-o";s:11:"fa-comments";s:11:"fa-comments";s:13:"fa-comments-o";s:13:"fa-comments-o";s:10:"fa-compass";s:10:"fa-compass";s:11:"fa-compress";s:11:"fa-compress";s:14:"fa-credit-card";s:14:"fa-credit-card";s:7:"fa-crop";s:7:"fa-crop";s:13:"fa-crosshairs";s:13:"fa-crosshairs";s:7:"fa-css3";s:7:"fa-css3";s:10:"fa-cutlery";s:10:"fa-cutlery";s:10:"fa-desktop";s:10:"fa-desktop";s:15:"fa-dot-circle-o";s:15:"fa-dot-circle-o";s:11:"fa-download";s:11:"fa-download";s:11:"fa-dribbble";s:11:"fa-dribbble";s:10:"fa-dropbox";s:10:"fa-dropbox";s:8:"fa-eject";s:8:"fa-eject";s:13:"fa-ellipsis-h";s:13:"fa-ellipsis-h";s:13:"fa-ellipsis-v";s:13:"fa-ellipsis-v";s:11:"fa-envelope";s:11:"fa-envelope";s:13:"fa-envelope-o";s:13:"fa-envelope-o";s:9:"fa-eraser";s:9:"fa-eraser";s:6:"fa-eur";s:6:"fa-eur";s:11:"fa-exchange";s:11:"fa-exchange";s:14:"fa-exclamation";s:14:"fa-exclamation";s:21:"fa-exclamation-circle";s:21:"fa-exclamation-circle";s:23:"fa-exclamation-triangle";s:23:"fa-exclamation-triangle";s:9:"fa-expand";s:9:"fa-expand";s:16:"fa-external-link";s:16:"fa-external-link";s:23:"fa-external-link-square";s:23:"fa-external-link-square";s:6:"fa-eye";s:6:"fa-eye";s:12:"fa-eye-slash";s:12:"fa-eye-slash";s:11:"fa-facebook";s:11:"fa-facebook";s:18:"fa-facebook-square";s:18:"fa-facebook-square";s:16:"fa-fast-backward";s:16:"fa-fast-backward";s:15:"fa-fast-forward";s:15:"fa-fast-forward";s:9:"fa-female";s:9:"fa-female";s:14:"fa-fighter-jet";s:14:"fa-fighter-jet";s:7:"fa-file";s:7:"fa-file";s:9:"fa-file-o";s:9:"fa-file-o";s:12:"fa-file-text";s:12:"fa-file-text";s:14:"fa-file-text-o";s:14:"fa-file-text-o";s:10:"fa-files-o";s:10:"fa-files-o";s:7:"fa-film";s:7:"fa-film";s:9:"fa-filter";s:9:"fa-filter";s:7:"fa-fire";s:7:"fa-fire";s:20:"fa-fire-extinguisher";s:20:"fa-fire-extinguisher";s:7:"fa-flag";s:7:"fa-flag";s:17:"fa-flag-checkered";s:17:"fa-flag-checkered";s:9:"fa-flag-o";s:9:"fa-flag-o";s:8:"fa-flask";s:8:"fa-flask";s:9:"fa-flickr";s:9:"fa-flickr";s:11:"fa-floppy-o";s:11:"fa-floppy-o";s:9:"fa-folder";s:9:"fa-folder";s:11:"fa-folder-o";s:11:"fa-folder-o";s:14:"fa-folder-open";s:14:"fa-folder-open";s:16:"fa-folder-open-o";s:16:"fa-folder-open-o";s:7:"fa-font";s:7:"fa-font";s:10:"fa-forward";s:10:"fa-forward";s:13:"fa-foursquare";s:13:"fa-foursquare";s:10:"fa-frown-o";s:10:"fa-frown-o";s:10:"fa-gamepad";s:10:"fa-gamepad";s:8:"fa-gavel";s:8:"fa-gavel";s:6:"fa-gbp";s:6:"fa-gbp";s:7:"fa-gift";s:7:"fa-gift";s:9:"fa-github";s:9:"fa-github";s:13:"fa-github-alt";s:13:"fa-github-alt";s:16:"fa-github-square";s:16:"fa-github-square";s:9:"fa-gittip";s:9:"fa-gittip";s:8:"fa-glass";s:8:"fa-glass";s:8:"fa-globe";s:8:"fa-globe";s:14:"fa-google-plus";s:14:"fa-google-plus";s:21:"fa-google-plus-square";s:21:"fa-google-plus-square";s:11:"fa-h-square";s:11:"fa-h-square";s:14:"fa-hand-o-down";s:14:"fa-hand-o-down";s:14:"fa-hand-o-left";s:14:"fa-hand-o-left";s:15:"fa-hand-o-right";s:15:"fa-hand-o-right";s:12:"fa-hand-o-up";s:12:"fa-hand-o-up";s:8:"fa-hdd-o";s:8:"fa-hdd-o";s:13:"fa-headphones";s:13:"fa-headphones";s:8:"fa-heart";s:8:"fa-heart";s:10:"fa-heart-o";s:10:"fa-heart-o";s:7:"fa-home";s:7:"fa-home";s:13:"fa-hospital-o";s:13:"fa-hospital-o";s:8:"fa-html5";s:8:"fa-html5";s:8:"fa-inbox";s:8:"fa-inbox";s:9:"fa-indent";s:9:"fa-indent";s:7:"fa-info";s:7:"fa-info";s:14:"fa-info-circle";s:14:"fa-info-circle";s:6:"fa-inr";s:6:"fa-inr";s:12:"fa-instagram";s:12:"fa-instagram";s:9:"fa-italic";s:9:"fa-italic";s:6:"fa-jpy";s:6:"fa-jpy";s:6:"fa-key";s:6:"fa-key";s:13:"fa-keyboard-o";s:13:"fa-keyboard-o";s:6:"fa-krw";s:6:"fa-krw";s:9:"fa-laptop";s:9:"fa-laptop";s:7:"fa-leaf";s:7:"fa-leaf";s:10:"fa-lemon-o";s:10:"fa-lemon-o";s:13:"fa-level-down";s:13:"fa-level-down";s:11:"fa-level-up";s:11:"fa-level-up";s:14:"fa-lightbulb-o";s:14:"fa-lightbulb-o";s:7:"fa-link";s:7:"fa-link";s:11:"fa-linkedin";s:11:"fa-linkedin";s:18:"fa-linkedin-square";s:18:"fa-linkedin-square";s:8:"fa-linux";s:8:"fa-linux";s:7:"fa-list";s:7:"fa-list";s:11:"fa-list-alt";s:11:"fa-list-alt";s:10:"fa-list-ol";s:10:"fa-list-ol";s:10:"fa-list-ul";s:10:"fa-list-ul";s:17:"fa-location-arrow";s:17:"fa-location-arrow";s:7:"fa-lock";s:7:"fa-lock";s:18:"fa-long-arrow-down";s:18:"fa-long-arrow-down";s:18:"fa-long-arrow-left";s:18:"fa-long-arrow-left";s:19:"fa-long-arrow-right";s:19:"fa-long-arrow-right";s:16:"fa-long-arrow-up";s:16:"fa-long-arrow-up";s:8:"fa-magic";s:8:"fa-magic";s:9:"fa-magnet";s:9:"fa-magnet";s:17:"fa-mail-reply-all";s:17:"fa-mail-reply-all";s:7:"fa-male";s:7:"fa-male";s:13:"fa-map-marker";s:13:"fa-map-marker";s:9:"fa-maxcdn";s:9:"fa-maxcdn";s:9:"fa-medkit";s:9:"fa-medkit";s:8:"fa-meh-o";s:8:"fa-meh-o";s:13:"fa-microphone";s:13:"fa-microphone";s:19:"fa-microphone-slash";s:19:"fa-microphone-slash";s:8:"fa-minus";s:8:"fa-minus";s:15:"fa-minus-circle";s:15:"fa-minus-circle";s:15:"fa-minus-square";s:15:"fa-minus-square";s:17:"fa-minus-square-o";s:17:"fa-minus-square-o";s:9:"fa-mobile";s:9:"fa-mobile";s:8:"fa-money";s:8:"fa-money";s:9:"fa-moon-o";s:9:"fa-moon-o";s:8:"fa-music";s:8:"fa-music";s:10:"fa-outdent";s:10:"fa-outdent";s:12:"fa-pagelines";s:12:"fa-pagelines";s:12:"fa-paperclip";s:12:"fa-paperclip";s:8:"fa-pause";s:8:"fa-pause";s:9:"fa-pencil";s:9:"fa-pencil";s:16:"fa-pencil-square";s:16:"fa-pencil-square";s:18:"fa-pencil-square-o";s:18:"fa-pencil-square-o";s:8:"fa-phone";s:8:"fa-phone";s:15:"fa-phone-square";s:15:"fa-phone-square";s:12:"fa-picture-o";s:12:"fa-picture-o";s:12:"fa-pinterest";s:12:"fa-pinterest";s:19:"fa-pinterest-square";s:19:"fa-pinterest-square";s:8:"fa-plane";s:8:"fa-plane";s:7:"fa-play";s:7:"fa-play";s:14:"fa-play-circle";s:14:"fa-play-circle";s:16:"fa-play-circle-o";s:16:"fa-play-circle-o";s:7:"fa-plus";s:7:"fa-plus";s:14:"fa-plus-circle";s:14:"fa-plus-circle";s:14:"fa-plus-square";s:14:"fa-plus-square";s:16:"fa-plus-square-o";s:16:"fa-plus-square-o";s:12:"fa-power-off";s:12:"fa-power-off";s:8:"fa-print";s:8:"fa-print";s:15:"fa-puzzle-piece";s:15:"fa-puzzle-piece";s:9:"fa-qrcode";s:9:"fa-qrcode";s:11:"fa-question";s:11:"fa-question";s:18:"fa-question-circle";s:18:"fa-question-circle";s:13:"fa-quote-left";s:13:"fa-quote-left";s:14:"fa-quote-right";s:14:"fa-quote-right";s:9:"fa-random";s:9:"fa-random";s:10:"fa-refresh";s:10:"fa-refresh";s:9:"fa-renren";s:9:"fa-renren";s:9:"fa-repeat";s:9:"fa-repeat";s:8:"fa-reply";s:8:"fa-reply";s:12:"fa-reply-all";s:12:"fa-reply-all";s:10:"fa-retweet";s:10:"fa-retweet";s:7:"fa-road";s:7:"fa-road";s:9:"fa-rocket";s:9:"fa-rocket";s:6:"fa-rss";s:6:"fa-rss";s:13:"fa-rss-square";s:13:"fa-rss-square";s:6:"fa-rub";s:6:"fa-rub";s:11:"fa-scissors";s:11:"fa-scissors";s:9:"fa-search";s:9:"fa-search";s:15:"fa-search-minus";s:15:"fa-search-minus";s:14:"fa-search-plus";s:14:"fa-search-plus";s:8:"fa-share";s:8:"fa-share";s:15:"fa-share-square";s:15:"fa-share-square";s:17:"fa-share-square-o";s:17:"fa-share-square-o";s:9:"fa-shield";s:9:"fa-shield";s:16:"fa-shopping-cart";s:16:"fa-shopping-cart";s:10:"fa-sign-in";s:10:"fa-sign-in";s:11:"fa-sign-out";s:11:"fa-sign-out";s:9:"fa-signal";s:9:"fa-signal";s:10:"fa-sitemap";s:10:"fa-sitemap";s:8:"fa-skype";s:8:"fa-skype";s:10:"fa-smile-o";s:10:"fa-smile-o";s:7:"fa-sort";s:7:"fa-sort";s:17:"fa-sort-alpha-asc";s:17:"fa-sort-alpha-asc";s:18:"fa-sort-alpha-desc";s:18:"fa-sort-alpha-desc";s:18:"fa-sort-amount-asc";s:18:"fa-sort-amount-asc";s:19:"fa-sort-amount-desc";s:19:"fa-sort-amount-desc";s:11:"fa-sort-asc";s:11:"fa-sort-asc";s:12:"fa-sort-desc";s:12:"fa-sort-desc";s:19:"fa-sort-numeric-asc";s:19:"fa-sort-numeric-asc";s:20:"fa-sort-numeric-desc";s:20:"fa-sort-numeric-desc";s:10:"fa-spinner";s:10:"fa-spinner";s:9:"fa-square";s:9:"fa-square";s:11:"fa-square-o";s:11:"fa-square-o";s:17:"fa-stack-exchange";s:17:"fa-stack-exchange";s:17:"fa-stack-overflow";s:17:"fa-stack-overflow";s:7:"fa-star";s:7:"fa-star";s:12:"fa-star-half";s:12:"fa-star-half";s:14:"fa-star-half-o";s:14:"fa-star-half-o";s:9:"fa-star-o";s:9:"fa-star-o";s:16:"fa-step-backward";s:16:"fa-step-backward";s:15:"fa-step-forward";s:15:"fa-step-forward";s:14:"fa-stethoscope";s:14:"fa-stethoscope";s:7:"fa-stop";s:7:"fa-stop";s:16:"fa-strikethrough";s:16:"fa-strikethrough";s:12:"fa-subscript";s:12:"fa-subscript";s:11:"fa-suitcase";s:11:"fa-suitcase";s:8:"fa-sun-o";s:8:"fa-sun-o";s:14:"fa-superscript";s:14:"fa-superscript";s:8:"fa-table";s:8:"fa-table";s:9:"fa-tablet";s:9:"fa-tablet";s:13:"fa-tachometer";s:13:"fa-tachometer";s:6:"fa-tag";s:6:"fa-tag";s:7:"fa-tags";s:7:"fa-tags";s:8:"fa-tasks";s:8:"fa-tasks";s:11:"fa-terminal";s:11:"fa-terminal";s:14:"fa-text-height";s:14:"fa-text-height";s:13:"fa-text-width";s:13:"fa-text-width";s:5:"fa-th";s:5:"fa-th";s:11:"fa-th-large";s:11:"fa-th-large";s:10:"fa-th-list";s:10:"fa-th-list";s:13:"fa-thumb-tack";s:13:"fa-thumb-tack";s:14:"fa-thumbs-down";s:14:"fa-thumbs-down";s:16:"fa-thumbs-o-down";s:16:"fa-thumbs-o-down";s:14:"fa-thumbs-o-up";s:14:"fa-thumbs-o-up";s:12:"fa-thumbs-up";s:12:"fa-thumbs-up";s:9:"fa-ticket";s:9:"fa-ticket";s:8:"fa-times";s:8:"fa-times";s:15:"fa-times-circle";s:15:"fa-times-circle";s:17:"fa-times-circle-o";s:17:"fa-times-circle-o";s:7:"fa-tint";s:7:"fa-tint";s:10:"fa-trash-o";s:10:"fa-trash-o";s:9:"fa-trello";s:9:"fa-trello";s:9:"fa-trophy";s:9:"fa-trophy";s:8:"fa-truck";s:8:"fa-truck";s:6:"fa-try";s:6:"fa-try";s:9:"fa-tumblr";s:9:"fa-tumblr";s:16:"fa-tumblr-square";s:16:"fa-tumblr-square";s:10:"fa-twitter";s:10:"fa-twitter";s:17:"fa-twitter-square";s:17:"fa-twitter-square";s:11:"fa-umbrella";s:11:"fa-umbrella";s:12:"fa-underline";s:12:"fa-underline";s:7:"fa-undo";s:7:"fa-undo";s:9:"fa-unlock";s:9:"fa-unlock";s:13:"fa-unlock-alt";s:13:"fa-unlock-alt";s:9:"fa-upload";s:9:"fa-upload";s:6:"fa-usd";s:6:"fa-usd";s:7:"fa-user";s:7:"fa-user";s:10:"fa-user-md";s:10:"fa-user-md";s:8:"fa-users";s:8:"fa-users";s:15:"fa-video-camera";s:15:"fa-video-camera";s:15:"fa-vimeo-square";s:15:"fa-vimeo-square";s:5:"fa-vk";s:5:"fa-vk";s:14:"fa-volume-down";s:14:"fa-volume-down";s:13:"fa-volume-off";s:13:"fa-volume-off";s:12:"fa-volume-up";s:12:"fa-volume-up";s:8:"fa-weibo";s:8:"fa-weibo";s:13:"fa-wheelchair";s:13:"fa-wheelchair";s:10:"fa-windows";s:10:"fa-windows";s:9:"fa-wrench";s:9:"fa-wrench";s:7:"fa-xing";s:7:"fa-xing";s:14:"fa-xing-square";s:14:"fa-xing-square";s:10:"fa-youtube";s:10:"fa-youtube";s:15:"fa-youtube-play";s:15:"fa-youtube-play";s:17:"fa-youtube-square";s:17:"fa-youtube-square";}';
                                            $icons = unserialize( $icons ); ?>
                                            <select name="icon-<?php echo $tile_postion ?>">
                                                <?php foreach ( $icons as $key => $value ) {?>
                                                    <?php if($wd_tiles[$tile_postion]['icon'] == $value) {$icon_selected = 'selected=selected'; }else{  $icon_selected = '';} ?>
                                                    <option value="<?php echo $value ?>" <?php echo $icon_selected ?>> <?php echo $value ?></option>
                                                <?php } ?>
                                            </select>

                                        </div>

                                        <?php $color = isset($wd_tiles[$tile_postion]['color']) ? $wd_tiles[$tile_postion]['color'] : '#1BA1E2'; ?>
                                        <input name="color-<?php echo $tile_postion ?>"   type="text" value="<?php print $color; ?>" class="wd-color-picker" data-default-color="#C0392B">

                                        <?php
                                        $tile_background = isset( $wd_tiles[$tile_postion]['wdtile_bg'] ) ? $wd_tiles[$tile_postion]['wdtile_bg'] : '';


                                        ?>
                                        <input type="text" name="tile-bg-<?php echo $tile_postion ?>"  class="wd_tile-bg" value="<?php print $tile_background; ?>"/>
                                        <!-- <input class="button" name="_unique_tile-bg-<?php echo $tile_postion ?>" class="wd_tile-bg-btn" value="Upload" />-->
                                        <input name="column-<?php echo $tile_postion ?>"  type="hidden" value="<?php print $tile['column']; ?>">

                                    </div>
                                <?php endif; ?>


                                <!------------------------------------------------------------semi largge tiles --------------------------------------------------------------------------------->



                                <?php if( isset($tile['type']) && $tile['type'] == 'semi_large') : ?>
                                    <div class="option-item big tile tile-<?php echo $tile_postion ?>">
                                        <div class="label"><span><?php echo 'Position '. $tile_postion ?></span></div>
                                        <select name="tile-<?php echo $tile_postion ?>">             <?php

                                            foreach ( $semi_large_tiles as $key => $semi_large_tile ) {
                                                ( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $key) ? ($selected = 'selected = "selected"') : $selected = ''; ?>
                                                <option value="semi_large-<?php print $key ?>" <?php echo $selected ?> ><?php print $semi_large_tile ?></option>   <?php
                                            } ?>

                                        </select>
                                        <input name="color-<?php echo $tile_postion ?>" type="text" value="<?php print $wd_tiles[$tile_postion]['color']; ?>" class="wd-color-picker" data-default-color="#C0392B">
                                        <input name="column-<?php echo $tile_postion ?>" type="hidden" value="<?php print $tile['column']; ?>">
    
                    
                    <textarea name="content-<?php echo $tile_postion ?>" rows="5" cols="40"
                        <?php if( $selected == '' ): ?> style="display: none;" <?php endif; ?>><?php

                        if(isset($wd_tiles[$tile_postion]['content']))
                            print $wd_tiles[$tile_postion]['content'] ?>
                    </textarea>

                                        <?php foreach ( $wide_tiles as $key => $wide_tile ) :
                                            if( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $key): ?>
                                                <div>Title: <input name="tile-title-<?php echo $tile_postion ?>" type="text" value="<?php print $wd_tiles[$tile_postion]['title'] ?>"> </div>
                                            <?php endif;
                                        endforeach;
                                        $tile_background = isset( $wd_tiles[$tile_postion]['wdtile_bg'] ) ? $wd_tiles[$tile_postion]['wdtile_bg'] : '';
                                        ?>

                                        <input type="text" id="tile<?php echo $tile_postion ?>tile" name="tile-bg-<?php echo $tile_postion ?>"  class="wd_tile-bg" value="<?php print $tile_background; ?>"/>
                                        <input type="button" value="Delete" class="button" onclick="tile<?php echo $tile_postion ?>tile.value='  '" />
                                        <div class="cleafix"></div>
                                    </div>
                                <?php endif; ?>



                                <!------------------------------------------------------------semi small tiles --------------------------------------------------------------------------------->



                                <?php if( isset($tile['type']) && $tile['type'] == 'semi_small') :
                                    if(!isset($wd_tiles[$tile_postion]['color'])) {
                                        $wd_tiles[$tile_postion]['color'] = '#2B418C';
                                    }
                                    ?>
                                    <div class="option-item big tile tile-<?php echo $tile_postion ?>">
                                        <div class="label"><span><?php echo 'Position '. $tile_postion ?></span></div>
                                        <select name="tile-<?php echo $tile_postion ?>">             <?php

                                            foreach ( $semi_large_tiles as $key => $semi_large_tile ) {
                                                ( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $key) ? ($selected = 'selected = "selected"') : $selected = ''; ?>
                                                <option value="semi_small-<?php print $key ?>" <?php echo $selected ?> ><?php print $semi_large_tile ?></option>   <?php
                                            } ?>

                                        </select>
                                        <input name="color-<?php echo $tile_postion ?>" type="text" value="<?php print $wd_tiles[$tile_postion]['color']; ?>" class="wd-color-picker" data-default-color="#C0392B">
                                        <input name="column-<?php echo $tile_postion ?>" type="hidden" value="<?php print $tile['column']; ?>">
    
                    
                    <textarea name="content-<?php echo $tile_postion ?>" rows="5" cols="40"
                        <?php if( $selected == '' ): ?> style="display: none;" <?php endif; ?>><?php

                        if(isset($wd_tiles[$tile_postion]['content']))
                            print $wd_tiles[$tile_postion]['content'] ?>
                    </textarea>

                                        <?php foreach ( $wide_tiles as $key => $wide_tile ) :
                                            if( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $key): ?>
                                                <div>Title: <input name="tile-title-<?php echo $tile_postion ?>" type="text" value="<?php print $wd_tiles[$tile_postion]['title'] ?>"> </div>
                                            <?php endif;
                                        endforeach; ?>
                                        <?php $tile_background = isset( $wd_tiles[$tile_postion]['wdtile_bg'] ) ? $wd_tiles[$tile_postion]['wdtile_bg'] : '';?>
                                        <input type="text" id="tile<?php echo $tile_postion ?>tile" name="tile-bg-<?php echo $tile_postion ?>"  class="wd_tile-bg" value="<?php print $tile_background; ?>"/>

                                        <input type="button" value="Delete" class="button" onclick="tile<?php echo $tile_postion ?>tile.value='  '" />
                                        <div class="cleafix"></div>
                                    </div>
                                <?php endif; ?>





















                                <!------------------------------------------------------------------------------------------------------------------------------------------------------------------------------>
                                <?php if( isset($tile['type']) && $tile['type'] == 'wide') :
                                    if(!isset($wd_tiles[$tile_postion]['color'])) {
                                        $wd_tiles[$tile_postion]['color'] = '#2B418C';
                                    }
                                    ?>
                                    <div class="option-item wide tile tile-<?php echo $tile_postion ?>">
                                        <div class="label"><span><?php echo 'Position '. $tile_postion ?></span></div>
                                        <select class="featured" name="tile-<?php echo $tile_postion ?>"><?php

                                            foreach ( $wide_tiles as $key => $wide_tile ) :
                                                ( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $key) ? ($selected = 'selected = "selected"') : $selected = ''; ?>
                                                <option value="wide-<?php print $key ?>" <?php echo $selected ?> ><?php print $wide_tile ?></option>    <?php
                                            endforeach; ?>


                                            <optgroup label="Pages">            <?php

                                                foreach ( $pages_id as $key => $page_id ) {
                                                    ( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $page_id) ? ($selected = 'selected=selected') : $selected = ''; ?>
                                                    <option value="page-<?php print $page_id ?>" <?php echo $selected ?> ><?php print get_the_title($page_id) ?></option>   <?php
                                                } ?>
                                            </optgroup>

                                        </select>


                                        <select class="wd_featured" name="featured-post-<?php echo $tile_postion ?>" <?php if( $wd_tiles[$tile_postion]['id'] != 'feature_blog_post' ): ?> style="display: none;" <?php endif; ?>>
                                            <?php $posts = get_posts(array('post_type' => 'post'));
                                            $pages = get_posts(array('post_type' => 'page'));?>
                                            <optgroup label="Post">
                                                <?php foreach ( $posts as $key => $post ) { ?>
                                                    <?php if($wd_tiles[$tile_postion]['featured_post'] == $post->ID) { ($sele = 'selected=selected');}else{ $sele = '';} ?>
                                                    <option value="<?php echo $post->ID ?>" <?php echo $sele ?>><?php echo $post->post_title ?></option>
                                                    <?php
                                                } ?>
                                            </optgroup>
                                            <optgroup label="Pages">
                                                <?php foreach ( $pages as $key => $post ) { ?>
                                                    <?php if($wd_tiles[$tile_postion]['featured_post'] == $post->ID) { ($selec = 'selected=selected');}else{ $selec = '';} ?>
                                                    <option value="<?php echo $post->ID ?>" <?php echo $selec ?>><?php echo $post->post_title ?></option>
                                                    <?php
                                                } ?>
                                            </optgroup>
                                        </select>
                                        <input name="color-<?php echo $tile_postion ?>" type="text" value="<?php print $wd_tiles[$tile_postion]['color']; ?>" class="wd-color-picker" data-default-color="#C0392B">
                                        <input name="column-<?php echo $tile_postion ?>" type="hidden" value="<?php print $tile['column']; ?>">

                                        <?php foreach ( $wide_tiles as $key => $wide_tile ) :
                                            if( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $key):

                                                $wide_tile = isset($wd_tiles[$tile_postion]['title']) ? $wd_tiles[$tile_postion]['title'] : $wide_tile;
                                                ?>
                                                <div>Title: <input name="title-<?php echo $tile_postion ?>" type="text" value="<?php print $wide_tile; ?>"> </div>
                                            <?php endif;
                                        endforeach; ?>

                                    </div>

                                <?php endif; ?>



                                <?php if( isset($tile['type']) && $tile['type'] == 'big') :
                                    if(!isset($wd_tiles[$tile_postion]['color'])) {
                                        $wd_tiles[$tile_postion]['color'] = '#2B418C';
                                    }
                                    ?>
                                    <div class="option-item big tile tile-<?php echo $tile_postion ?>">
                                        <div class="label"><span><?php echo 'Position '. $tile_postion ?></span></div>
                                        <select name="tile-<?php echo $tile_postion ?>">             <?php

                                            foreach ( $big_tiles as $key => $big_tile ) {
                                                ( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $key) ? ($selected = 'selected = "selected"') : $selected = ''; ?>
                                                <option value="big-<?php print $key ?>" <?php echo $selected ?> ><?php print $big_tile ?></option>   <?php
                                            } ?>

                                        </select>
                                        <input name="color-<?php echo $tile_postion ?>" type="text" value="<?php print $wd_tiles[$tile_postion]['color']; ?>" class="wd-color-picker" data-default-color="#C0392B">
                                        <input name="column-<?php echo $tile_postion ?>" type="hidden" value="<?php print $tile['column']; ?>">
    
                    
                    <textarea name="content-<?php echo $tile_postion ?>" rows="5" cols="40"
                        <?php if( $selected == '' ): ?> style="display: none;" <?php endif; ?>><?php

                        if(isset($wd_tiles[$tile_postion]['content']))
                            print $wd_tiles[$tile_postion]['content'] ?>
                    </textarea>

                                        <?php foreach ( $wide_tiles as $key => $wide_tile ) :
                                            if( isset($wd_tiles[$tile_postion]['id']) && $wd_tiles[$tile_postion]['id'] == $key): ?>
                                                <div>Title: <input name="tile-title-<?php echo $tile_postion ?>" type="text" value="<?php print $wd_tiles[$tile_postion]['title'] ?>"> </div>
                                            <?php endif;
                                        endforeach; ?>
                                        <?php $tile_background = isset( $wd_tiles[$tile_postion]['wdtile_bg'] ) ? $wd_tiles[$tile_postion]['wdtile_bg'] : '';?>
                                        <input type="text" id="tile<?php echo $tile_postion ?>tile" name="tile-bg-<?php echo $tile_postion ?>"  class="wd_tile-bg" value="<?php print $tile_background; ?>"/>

                                        <div class="cleafix"></div>
                                    </div>
                                <?php endif;
                                }
                                ?>
                            </div>
                            <div style="clear: both;"><br/><br/><br/></div>
                        </div>
                    </div>
                    <div id="tabs-3">
                        <h3><?php echo __('Social pages' ,THEME_NAME); ?></h3>

                        <table class="form-table">
                            <tbody>
                            <tr valign="top">
                                <th scope="row">
                                    <label for="blogname">Twitter</label></th>
                                <td><input type="text" name="twitter" placeholder="Your twitter profile link" value="<?php echo get_option('twitter'); ?>"></td>
                            </tr>

                            <tr valign="top">
                                <th scope="row">
                                    <label for="blogdescription">Facebook</label></th>
                                <td><input type="text" name="facebook" placeholder="Your Facebook page link" value="<?php echo get_option('facebook'); ?>"></td>
                            </tr>
                            <tr valign="top">
                                <th scope="row">
                                    <label for="blogdescription">Flickr</label></th>
                                <td><input type="text" name="flickr" placeholder="Your Flickr page link" value="<?php echo get_option('flickr'); ?>"></td>
                            </tr>
                            <tr valign="top">
                                <th scope="row">
                                    <label for="blogdescription">Google Plus</label></th>
                                <td><input type="text" name="google_plus" placeholder="Your Google Plus page link" value="<?php echo get_option('google_plus'); ?>"></td>
                            </tr>

                            </tbody>
                        </table>
                    </div>

                    <div id="tabs-4">
                        <table class="form-table">
                            <tbody>
                            <tr valign="top"><th scope="row"><label for="wd_lt_twitter_user"><?php echo __('Twitter Username', THEME_NAME ) ?></label></th><td>
                                    <input type="text" class="wd_txt_big" value="<?php echo get_option('wd_lt_twitter_user'); ?>" name="wd_lt_twitter_user"></td>
                            </tr>
                            <tr valign="top"><th scope="row"><label for="wd_lt_consumer_key"><?php echo __('Consumer Key', THEME_NAME ) ?></label></th><td>
                                    <input type="text" class="wd_txt_big" value="<?php echo get_option('wd_lt_consumer_key'); ?>" name="wd_lt_consumer_key"></td>
                            </tr>
                            <tr valign="top"><th scope="row"><label for="wd_lt_consumer_secret"><?php echo __('Consumer Secret', THEME_NAME ) ?></label></th><td>
                                    <input type="text" class="wd_txt_big" value="<?php echo get_option('wd_lt_consumer_secret'); ?>" name="wd_lt_consumer_secret"></td>
                            </tr>
                            <tr valign="top"><th scope="row"><label for="wd_lt_oauth_token"><?php echo __('oAuth Token', THEME_NAME ) ?></label></th><td>
                                    <input type="text" class="wd_txt_big" value="<?php echo get_option('wd_lt_oauth_token'); ?>" name="wd_lt_oauth_token"></td>
                            </tr>
                            <tr valign="top"><th scope="row"><label for="wd_lt_oauth_token_secret"><?php __('oAuth Token Secret', THEME_NAME ) ?></label></th><td>
                                    <input type="text" class="wd_txt_big" value="<?php echo get_option('wd_lt_oauth_token_secret'); ?>" value="<?php echo get_option('facebook'); ?>" name="wd_lt_oauth_token_secret"></td>
                            </tr>
                            </tbody>
                        </table>

                        <p>To get those information:</p>

                        <ol class="wd_txt_desc" style="display: block;">
                            <li>Go to the <a target="_blank" href="https://dev.twitter.com/apps/new">Twitter Developer Center</a>
                                to create an app, and create an account if necessary (you can use your Twitter account)</li>
                            <li>Give it a name, description and website, at least, and validate</li>
                            <li>In the next page, find the 4 informations (consumer key, consumer secret, oauth token and oauth token secret).</li>
                            <li>Write them in the fields below (they are big strings of characters).</li>
                        </ol>

                    </div>
                    <div id="tabs-5">
                        <table class="form-table">
                            <tbody>
                            <tr>
                                <td>
                                    <strong><?php echo __('Custom css', THEME_NAME); ?></strong>
                                </td>
                                <td>
                                    <textarea rows="10" cols="70" name="wd_theme_custom_css" placeholder="Put your style here"><?php echo get_option('wd_theme_custom_css'); ?></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong><?php echo __('Custom JavaScript',THEME_NAME)?></strong>
                                </td>

                                <td>
                                    <textarea rows="10" cols="70" name="wd_theme_custom_js" placeholder="Put your JavaScript here"><?php echo get_option('wd_theme_custom_js'); ?></textarea>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div id="tabs-6">
                        <div id="wd-metaboxes-general" class="wrap wd-page wd-page-info" style="padding: 20px;background-color: #FFF;">
                            <table class="form-table">
                                <tbody>
                                <tr>
                                    <td style="display: none;"></td>
                                    <td class="import-demo-screenshot" style="padding-left: 250px;">

                                        <em class="wd-field-description"><?php echo esc_html__('Select demo to import', THEME_NAME); ?> : </em>
                                        <select name="Demo_selector" id="Demo_selector" class="form-control wd-form-element">
                                            <option value="demo-1">Agency</option>
                                            <option value="demo-2">School</option>
                                            <option value="demo-3">Food</option>
                                            <option value="demo-4">Medical</option>
                                        </select><br>
                                        <label class="demo-1 demos_label" for="demo-1"></label>
                                        <label class="demo-2 demos_label" for="demo-2" style="display:none"></label>
                                        <label class="demo-3 demos_label" for="demo-3" style="display:none"></label>
                                        <label class="demo-4 demos_label" for="demo-4" style="display:none"></label>

                                    </td>
                                </tr>
                                <tr>
                                    <td style="display:none;">

                                    </td>
                                    <td style="padding-left: 250px;">
                                        <em class="wd-field-description"><?php echo esc_html__('Import Type', THEME_NAME); ?> : </em>
                                        <select name="import_option" id="import_option" class="form-control wd-form-element">
                                            <option value=""><?php echo esc_html__('Please Select', THEME_NAME); ?></option>
                                            <!--<option value="complete_content"><?php echo esc_html__('All', THEME_NAME); ?></option> -->
                                            <option value="content"><?php echo esc_html__('Content', THEME_NAME); ?></option>
                                            <!-- <option value="widgets"><?php echo esc_html__('Widgets', THEME_NAME); ?></option>-->
                                            <!--  <option value="options"><?php echo esc_html__('Options', THEME_NAME); ?></option>-->
                                            <!--  <option value="menus"><?php echo esc_html__('Menus', THEME_NAME); ?></option>-->
                                        </select>
                                    </td>
                                </tr>
                                <tr id="tr_import_attachments" style="display:none;" >
                                    <td style="display: none;">
                                    </td>
                                    <td style="padding-left: 250px;">
                                        <p><?php echo esc_html__('Do you want to import media files?', THEME_NAME); ?></p>
                                        <input type="checkbox" value="1" class="wd-form-element" name="import_attachments" id="import_attachments"/>
                                    </td>
                                </tr>
                                <tr id="tr_delete_menus" style="display:none;">
                                    <td style="display: none;">
                                    </td>
                                    <td style="padding-left: 250px;">
                                        <p><?php echo esc_html__('Do you want to delete all existing menus?', THEME_NAME); ?></p>
                                        <input type="checkbox" value="1" class="wd-form-element" name="delete_menus" id="delete_menus" />
                                    </td>
                                </tr>
                                <tr>
                                    <td style="display: none;">

                                    </td>
                                    <td style="padding-left: 250px;">
                                        <input type="submit" class="button button-primary" value="<?php echo esc_html__('Import', THEME_NAME); ?>" name="import" id="import_demo_data" />
                                        <img id="loading_gif" src="<?php echo get_template_directory_uri() . '/images/loading_import.gif'; ?>" style="margin-left:20px; display:none" />
                                        <img id="OK_result" src="<?php echo get_template_directory_uri() . '/images/OK_result.png'; ?>" style="margin-left:20px; display:none" />
                                        <img id="NOK_result" src="<?php echo get_template_directory_uri() . '/images/NOK_result.png'; ?>" style="margin-left:20px; display:none" />
                                    </td>
                                </tr>
                                <tr>
                                    <td style="display: none;">
                                    </td>
                                    <td style="padding-left: 250px;">
                                        <span><?php esc_html_e('The import process may take some time. Please be patient.', THEME_NAME) ?> </span><br />
                                        <div class="import_load">
                                            <div class="wd-progress-bar-wrapper html5-progress-bar">
                                                <div class="progress-bar-wrapper">
                                                    <progress id="progressbar" value="0" max="100"></progress>
                                                </div>
                                                <div class="progress-value">0%</div>
                                                <div class="progress-bar-message"></div>
                                                <div class="error-message" style="color:#990000; font-weight:bold;"></div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="display: none;"></td>
                                    <td style="text-align: center;">
                                        <div class="alert alert-warning">
                                            <strong><?php esc_html_e('Important notes:', THEME_NAME) ?></strong>
                                            <ul>
                                                <li><?php esc_html_e('Please note that import process will take time needed to download all attachments from demo web site.', THEME_NAME); ?></li>
                                                <li> <?php _e('If you plan to use shop, please install <b>WooCommerce</b> before you run import.', THEME_NAME)?></li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>


                        <script type="text/javascript">
                            jQuery(document).ready(function() {
                                jQuery(document).on('change', '#Demo_selector', function() {
                                    jQuery(".demos_label").hide();
                                    jQuery(".demos_label."+jQuery(this).val()).show();
                                });
                                jQuery(document).on('change', '#import_option', function() {
                                    if(jQuery(this).val()=='content') {
                                        jQuery("#tr_import_attachments").show();
                                        jQuery("#tr_delete_menus").hide();
                                    } else if(jQuery(this).val()=='widgets') {
                                        jQuery("#tr_import_attachments").hide();
                                        jQuery("#tr_delete_menus").hide();
                                    }else if(jQuery(this).val()=='menus') {
                                        jQuery("#tr_import_attachments").hide();
                                        jQuery("#tr_delete_menus").show();
                                    } else if(jQuery(this).val()=='complete_content') {
                                        jQuery("#tr_import_attachments").show();
                                        jQuery("#tr_delete_menus").show();
                                    } else{
                                        jQuery("#tr_import_attachments").hide();
                                        jQuery("#tr_delete_menus").hide();
                                    }
                                });
                                jQuery(document).on('click', '#import_demo_data', function(e) {
                                    e.preventDefault();

                                    if (jQuery( "#import_option" ).val() == "") {
                                        alert('Please select Import Type.');
                                        return false;
                                    }
                                    if (confirm('Are you sure, you want to import Demo Data now?')) {
                                        jQuery('.import_load').css('display','block');
                                        var progressbar = jQuery('#progressbar');
                                        var import_opt = jQuery( "#import_option" ).val();

                                        var import_expl = jQuery( "#Demo_selector" ).val();
                                        var p = 0;

                                        jQuery('.progress-value').html((0) + '%');
                                        progressbar.val(0);
                                        jQuery('.progress-bar-message').html('');
                                        jQuery('.error-message').html('');
                                        jQuery('#loading_gif').css({display: "inline"});
                                        jQuery('#OK_result').css({display: "none"});
                                        jQuery('#NOK_result').css({display: "none"});
                                        if(import_opt == 'content'){
                                            for(var i = 1; i <= 11; i++){
                                                var str;
                                                if (i < 10) str = 'demo-file-0'+i+'.xml';
                                                else str = 'demo-file-'+i+'.xml';
                                                jQuery.ajax({
                                                    type: 'POST',
                                                    url: ajaxurl,
                                                    data: {
                                                        action: 'webdevia_dataImport',
                                                        xml: str,
                                                        example: import_expl,
                                                        import_attachments: (jQuery("#import_attachments").is(':checked') ? 1 : 0)
                                                    },
                                                    success: function(data, textStatus, XMLHttpRequest){
                                                        console.log('Success!!' + data );
                                                        p += 8;
                                                        jQuery('.progress-value').html((p) + '%');
                                                        progressbar.val(p);
                                                        if (p == 88) {
                                                            str = 'demo-file-11.xml';
                                                            jQuery.ajax({
                                                                type: 'POST',
                                                                url: ajaxurl,
                                                                data: {
                                                                    action: 'webdevia_dataImport',
                                                                    xml: str,
                                                                    example: import_expl,
                                                                    import_attachments: (jQuery("#import_attachments").is(':checked') ? 1 : 0)
                                                                },
                                                                success: function(data, textStatus, XMLHttpRequest){
                                                                    p+= 10;
                                                                    jQuery('.progress-value').html((100) + '%');
                                                                    progressbar.val(100);
                                                                    jQuery('.progress-bar-message').html('<div class="alert alert-success"><strong>Import is completed</strong></div>');
                                                                    jQuery('#loading_gif').css({display: "none"});
                                                                    jQuery('#OK_result').css({display: "inline"});
                                                                },
                                                                error: function(MLHttpRequest, textStatus, errorThrown){
                                                                    jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                                    jQuery('#loading_gif').css({display: "none"});
                                                                    jQuery('#NOK_result').css({display: "inline"});
                                                                }
                                                            });
                                                        }
                                                    },
                                                    error: function(MLHttpRequest, textStatus, errorThrown){
                                                        jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                        jQuery('#loading_gif').css({display: "none"});
                                                        jQuery('#NOK_result').css({display: "inline"});
                                                        console.log('Error!!');
                                                    }
                                                });
                                            }
                                        } else if(import_opt == 'widgets') {
                                            jQuery.ajax({
                                                type: 'POST',
                                                url: ajaxurl,
                                                data: {
                                                    action: 'webdevia_widgetsImport',
                                                    example: import_expl
                                                },
                                                success: function(data, textStatus, XMLHttpRequest){
                                                    console.log('widgets imported');
                                                    jQuery('.progress-value').html((100) + '%');
                                                    progressbar.val(100);
                                                    jQuery('.progress-bar-message').html('<div class="alert alert-success"><strong>Widgets import is completed</strong></div>');
                                                    jQuery('#loading_gif').css({display: "none"});
                                                    jQuery('#OK_result').css({display: "inline"});
                                                },
                                                error: function(MLHttpRequest, textStatus, errorThrown){
                                                    console.log('widgets failed');
                                                    console.log(MLHttpRequest.responseText);
                                                    jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                    jQuery('#loading_gif').css({display: "none"});
                                                    jQuery('#NOK_result').css({display: "inline"});
                                                }
                                            });
                                        } else if(import_opt == 'menus') {
                                            jQuery.ajax({
                                                type: 'POST',
                                                url: ajaxurl,
                                                data: {
                                                    action: 'webdevia_menuImport',
                                                    example: import_expl,
                                                    delete_menus: (jQuery("#delete_menus").is(':checked') ? 1 : 0)
                                                },
                                                success: function(data, textStatus, XMLHttpRequest){
                                                    console.log('Menus imported' + data );
                                                    jQuery('.progress-value').html((100) + '%');
                                                    progressbar.val(100);
                                                    jQuery('.progress-bar-message').html('<div class="alert alert-success"><strong>Menus import is completed</strong></div>');
                                                    jQuery('#loading_gif').css({display: "none"});
                                                    jQuery('#OK_result').css({display: "inline"});
                                                },
                                                error: function(MLHttpRequest, textStatus, errorThrown){
                                                    jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                    jQuery('#loading_gif').css({display: "none"});
                                                    jQuery('#NOK_result').css({display: "inline"});
                                                }
                                            });
                                        } else if(import_opt == 'options'){
                                            jQuery.ajax({
                                                type: 'POST',
                                                url: ajaxurl,
                                                data: {
                                                    action: 'webdevia_import_options',
                                                    example: import_expl
                                                },
                                                success: function(data, textStatus, XMLHttpRequest){
                                                    console.log('options imported');
                                                    jQuery('.progress-value').html((100) + '%');
                                                    progressbar.val(100);
                                                    jQuery('.progress-bar-message').html('<div class="alert alert-success"><strong>Options import is completed</strong></div>');
                                                    jQuery('#loading_gif').css({display: "none"});
                                                    jQuery('#OK_result').css({display: "inline"});
                                                },
                                                error: function(MLHttpRequest, textStatus, errorThrown){
                                                    jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                    jQuery('#loading_gif').css({display: "none"});
                                                    jQuery('#NOK_result').css({display: "inline"});
                                                }
                                            });
                                        }else if(import_opt == 'complete_content'){
                                            for(var i=1;i<11;i++){
                                                var str;
                                                if (i < 10) str = 'demo-file-0'+i+'.xml';
                                                else str = 'demo-file-'+i+'.xml';
                                                jQuery.ajax({
                                                    type: 'POST',
                                                    url: ajaxurl,
                                                    data: {
                                                        action: 'webdevia_dataImport',
                                                        xml: str,
                                                        example: import_expl,
                                                        import_attachments: (jQuery("#import_attachments").is(':checked') ? 1 : 0)
                                                    },
                                                    success: function(data, textStatus, XMLHttpRequest){
                                                        p+= 6;
                                                        jQuery('.progress-value').html((p) + '%');
                                                        progressbar.val(p);
                                                        if (p == 60) {
                                                            str = 'demo-file-10.xml';
                                                            jQuery.ajax({
                                                                type: 'POST',
                                                                url: ajaxurl,
                                                                data: {
                                                                    action: 'webdevia_dataImport',
                                                                    xml: str,
                                                                    example: import_expl,
                                                                    import_attachments: (jQuery("#import_attachments").is(':checked') ? 1 : 0)
                                                                },
                                                                success: function(data, textStatus, XMLHttpRequest){
                                                                    p+= 7;
                                                                    jQuery('.progress-value').html((p) + '%');
                                                                    progressbar.val(p);
                                                                    jQuery('.progress-bar-message').append('<div class="alert alert-success">Content imported</div>');
                                                                    jQuery.ajax({
                                                                        type: 'POST',
                                                                        url: ajaxurl,
                                                                        data: {
                                                                            action: 'webdevia_import_options',
                                                                            example: import_expl
                                                                        },
                                                                        success: function(data, textStatus, XMLHttpRequest){
                                                                            p+= 7;
                                                                            jQuery('.progress-value').html((p) + '%');
                                                                            progressbar.val(p);
                                                                            jQuery('.progress-bar-message').append('<div class="alert alert-success">Options imported</div>');
                                                                            console.log('options imported');
                                                                            jQuery.ajax({
                                                                                type: 'POST',
                                                                                url: ajaxurl,
                                                                                data: {
                                                                                    action: 'webdevia_widgetsImport',
                                                                                    example: import_expl
                                                                                },
                                                                                success: function(data, textStatus, XMLHttpRequest){
                                                                                    p+= 7;
                                                                                    jQuery('.progress-value').html((p) + '%');
                                                                                    progressbar.val(p);
                                                                                    jQuery('.progress-bar-message').append('<div class="alert alert-success">Widgets imported</div>');

                                                                                    str = 'menus.xml';
                                                                                    jQuery.ajax({
                                                                                        type: 'POST',
                                                                                        url: ajaxurl,
                                                                                        data: {
                                                                                            action: 'webdevia_menuImport',
                                                                                            xml: str,
                                                                                            example: import_expl,
                                                                                            import_attachments: (jQuery("#import_attachments").is(':checked') ? 1 : 0),
                                                                                            delete_menus: (jQuery("#delete_menus").is(':checked') ? 1 : 0)
                                                                                        },
                                                                                        success: function(data, textStatus, XMLHttpRequest){
                                                                                            p+= 7;
                                                                                            jQuery('.progress-value').html((p) + '%');
                                                                                            progressbar.val(p);
                                                                                            jQuery('.progress-bar-message').append('<div class="alert alert-success">Menus imported</div>');
                                                                                            console.log("menu imported");
                                                                                            jQuery.ajax({
                                                                                                type: 'POST',
                                                                                                url: ajaxurl,
                                                                                                data: {
                                                                                                    action: 'webdevia_otherImport',
                                                                                                    example: import_expl,
                                                                                                    delete_menus: (jQuery("#delete_menus").is(':checked') ? 1 : 0)
                                                                                                },
                                                                                                success: function(data, textStatus, XMLHttpRequest){
                                                                                                    jQuery('.progress-value').html((100) + '%');
                                                                                                    progressbar.val(100);
                                                                                                    jQuery('.progress-bar-message').append('<div class="alert alert-success"><strong>Import is completed.</strong></div>');
                                                                                                    jQuery('#loading_gif').css({display: "none"});
                                                                                                    jQuery('#OK_result').css({display: "inline"});
                                                                                                },
                                                                                                error: function(MLHttpRequest, textStatus, errorThrown){
                                                                                                    jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                                                                    jQuery('#loading_gif').css({display: "none"});
                                                                                                    jQuery('#NOK_result').css({display: "inline"});
                                                                                                }
                                                                                            });
                                                                                        },
                                                                                        error: function(MLHttpRequest, textStatus, errorThrown){
                                                                                            jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                                                            jQuery('#loading_gif').css({display: "none"});
                                                                                            jQuery('#NOK_result').css({display: "inline"});
                                                                                        }
                                                                                    });

                                                                                },
                                                                                error: function(MLHttpRequest, textStatus, errorThrown){
                                                                                    jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                                                    jQuery('#loading_gif').css({display: "none"});
                                                                                    jQuery('#NOK_result').css({display: "inline"});
                                                                                }
                                                                            });
                                                                        },
                                                                        error: function(MLHttpRequest, textStatus, errorThrown){
                                                                            jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                                            jQuery('#loading_gif').css({display: "none"});
                                                                            jQuery('#NOK_result').css({display: "inline"});
                                                                        }
                                                                    });
                                                                },
                                                                error: function(MLHttpRequest, textStatus, errorThrown){
                                                                    jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                                    jQuery('#loading_gif').css({display: "none"});
                                                                    jQuery('#NOK_result').css({display: "inline"});
                                                                }
                                                            });
                                                        }
                                                    },
                                                    error: function(MLHttpRequest, textStatus, errorThrown){
                                                        jQuery('.error-message').html(get_error_from_response(MLHttpRequest));
                                                        jQuery('#loading_gif').css({display: "none"});
                                                        jQuery('#NOK_result').css({display: "inline"});
                                                    }
                                                });
                                            }




                                        }
                                    }
                                    return false;
                                });
                            });

                            function get_error_from_response(response){
                                var responseText=response.responseText.replace('{','');
                                responseText = responseText.replace('}','');
                                var trainindIdArray = responseText.split(':');
                                responseText=trainindIdArray[trainindIdArray.length-1].replace('"','').replace('"','');
                                return responseText;
                            }
                        </script>

                    </div>
                </div>
        </div>
        <div class="eight columns"> <p><button  type="submit" name="search" value="Update Options" class="button button-primary" />Update Options</button></p></div>
        </form>
        </div>


        <div style="clear: both;">
            <br/><br/><br/><br/><br/><br/>
        </div>


        <div class="wb-item">
            <div class="icon-themes">

            </div>
        </div>
        <?php
    }
}


function wd_get_start_screens(){
    $start_screans = array();

    $start_screans[] = array(
        1  => array('type' => 'wide',   'column' => '1'),
        2  => array('type' => 'wide',   'column' => '1'),
        3  => array('type' => 'medium', 'column' => '1'),
        4  => array('type' => 'medium', 'column' => '1'),

        5  => array('type' => 'big',    'column' => '2'),
        6  => array('type' => 'medium', 'column' => '2'),
        7  => array('type' => 'medium', 'column' => '2'),

        8  => array('type' => 'medium', 'column' => '3'),
        9  => array('type' => 'medium', 'column' => '3'),
        10 => array('type' => 'medium', 'column' => '3'),
        11 => array('type' => 'medium', 'column' => '3'),
        12 => array('type' => 'wide',   'column' => '3'),
    );
    $start_screans[] = array(
        1  => array('type' => 'medium', 'column' => '1'),
        2  => array('type' => 'medium', 'column' => '1'),
        3  => array('type' => 'wide',   'column' => '1'),
        4  => array('type' => 'wide',   'column' => '1'),

        5  => array('type' => 'big',    'column' => '2'),
        6  => array('type' => 'medium', 'column' => '2'),
        7  => array('type' => 'medium', 'column' => '2'),

        8  => array('type' => 'wide',   'column' => '3'),
        9  => array('type' => 'medium', 'column' => '3'),
        10 => array('type' => 'medium', 'column' => '3'),
        11 => array('type' => 'medium', 'column' => '3'),
        12 => array('type' => 'medium', 'column' => '3'),
    );
    $start_screans[] = array(
        1  => array('type' => 'medium', 'column' => '1'),
        2  => array('type' => 'medium', 'column' => '1'),
        3  => array('type' => 'wide',   'column' => '1'),
        4  => array('type' => 'wide',   'column' => '1'),

        5  => array('type' => 'medium', 'column' => '2'),
        6  => array('type' => 'medium', 'column' => '2'),
        7  => array('type' => 'big',    'column' => '2'),

        8  => array('type' => 'wide',   'column' => '3'),
        9  => array('type' => 'medium', 'column' => '3'),
        10 => array('type' => 'medium', 'column' => '3'),
        11 => array('type' => 'medium', 'column' => '3'),
        12 => array('type' => 'medium', 'column' => '3'),
    );

    $start_screans[] = array(
        1  => array('type' => 'medium', 'column' => '1'),
        2  => array('type' => 'medium', 'column' => '1'),
        3  => array('type' => 'medium', 'column' => '1'),
        4  => array('type' => 'medium', 'column' => '1'),
        5  => array('type' => 'wide',   'column' => '1'),

        6  => array('type' => 'big',    'column' => '2'),
        7  => array('type' => 'medium', 'column' => '2'),
        8  => array('type' => 'medium', 'column' => '2'),

        9  => array('type' => 'big',    'column' => '3'),
        10  => array('type' => 'medium', 'column' => '3'),
        11 => array('type' => 'medium',  'column' => '3'),
    );

    $start_screans[] = array(
        1  => array('type' => 'medium', 'column' => '1'),
        2  => array('type' => 'medium', 'column' => '1'),
        3  => array('type' => 'medium', 'column' => '1'),
        4  => array('type' => 'medium', 'column' => '1'),
        5  => array('type' => 'medium', 'column' => '1'),
        6  => array('type' => 'medium', 'column' => '1'),

        7  => array('type' => 'big',    'column' => '2'),
        8  => array('type' => 'medium', 'column' => '2'),
        9  => array('type' => 'medium', 'column' => '2'),

        10  => array('type' => 'wide',    'column' => '3'),
        11  => array('type' => 'medium', 'column' => '3'),
        12  => array('type' => 'medium', 'column' => '3'),
        13  => array('type' => 'medium', 'column' => '3'),
        14  => array('type' => 'medium', 'column' => '3'),
    );
    //----------------------
    $start_screans[] = array(
        1  => array('type' => 'big',   'column' => '1'),
        2  => array('type' => 'wide',   'column' => '1'),
        3  => array('type' => 'medium', 'column' => '1'),
        4  => array('type' => 'medium', 'column' => '1'),


        5  => array('type' => 'wide', 'column' => '2'),
        6  => array('type' => 'medium', 'column' => '2'),
        7 => array('type' => 'medium', 'column' => '2'),
        8 => array('type' => 'medium', 'column' => '2'),
        9 => array('type' => 'medium',   'column' => '2'),
    );
    $start_screans[] = array(
        1  => array('type' => 'medium', 'column' => '1'),
        2  => array('type' => 'medium', 'column' => '1'),
        3  => array('type' => 'wide',   'column' => '1'),
        4  => array('type' => 'wide',   'column' => '1'),

        5  => array('type' => 'medium', 'column' => '2'),
        6  => array('type' => 'medium', 'column' => '2'),
        7  => array('type' => 'big',    'column' => '2'),

        8  => array('type' => 'wide',   'column' => '3'),
        9  => array('type' => 'medium', 'column' => '3'),
        10 => array('type' => 'medium', 'column' => '3'),
        11 => array('type' => 'medium', 'column' => '3'),
        12 => array('type' => 'medium', 'column' => '3'),
    );
    $start_screans[] = array(
        1  => array('type' => 'medium', 'column' => '1'),
        2  => array('type' => 'medium', 'column' => '1'),
        3  => array('type' => 'medium',   'column' => '1'),
        4  => array('type' => 'medium',   'column' => '1'),
        5  => array('type' => 'medium',   'column' => '1'),
        6  => array('type' => 'medium',   'column' => '1'),
        7  => array('type' => 'medium',   'column' => '1'),
        8  => array('type' => 'medium',   'column' => '1'),
        9  => array('type' => 'medium',   'column' => '1'),
        10  => array('type' => 'medium',   'column' => '1'),

        11  => array('type' => 'big', 'column' => '2'),
        12  => array('type' => 'medium', 'column' => '2'),
        13  => array('type' => 'medium',    'column' => '2'),
        14  => array('type' => 'medium',    'column' => '2'),
        15  => array('type' => 'medium',    'column' => '2'),
        16  => array('type' => 'medium',    'column' => '2'),
        17  => array('type' => 'medium',    'column' => '2'),

        18  => array('type' => 'wide',   'column' => '3'),
        19  => array('type' => 'wide', 'column' => '3'),
        20 => array('type' => 'medium', 'column' => '3'),
        21 => array('type' => 'medium', 'column' => '3'),
        22 => array('type' => 'medium', 'column' => '3'),
        23 => array('type' => 'medium', 'column' => '3'),
        24 => array('type' => 'medium', 'column' => '3'),
        25 => array('type' => 'medium', 'column' => '3'),

    );
    $start_screans[] = array(
        1  => array('type' => 'medium', 'column' => '1'),
        2  => array('type' => 'medium', 'column' => '1'),
        3  => array('type' => 'wide',   'column' => '1'),
        4  => array('type' => 'medium',   'column' => '1'),
        5  => array('type' => 'medium',   'column' => '1'),
        6  => array('type' => 'medium',   'column' => '1'),
        7  => array('type' => 'medium',   'column' => '1'),

        8  => array('type' => 'big', 'column' => '2'),
        9  => array('type' => 'medium', 'column' => '2'),
        10  => array('type' => 'medium',    'column' => '2'),
        11  => array('type' => 'medium', 'column' => '2'),
        12  => array('type' => 'medium',    'column' => '2'),

        13  => array('type' => 'wide',   'column' => '3'),
        14  => array('type' => 'medium', 'column' => '3'),
        15 => array('type' => 'medium', 'column' => '3'),
        16 => array('type' => 'medium', 'column' => '3'),
        17 => array('type' => 'medium', 'column' => '3'),
        18 => array('type' => 'medium', 'column' => '3'),
        19 => array('type' => 'medium', 'column' => '3'),
    );
    $start_screans[] = array(
        1  => array('type' => 'big', 'column' => '1'),
        2  => array('type' => 'medium', 'column' => '1'),
        3  => array('type' => 'medium',   'column' => '1'),
        4  => array('type' => 'semi_small',   'column' => '1'),
        5  => array('type' => 'semi_large',   'column' => '1'),
        6  => array('type' => 'semi_large',   'column' => '1'),
        7  => array('type' => 'semi_small',   'column' => '1'),
        8  => array('type' => 'big',   'column' => '1'),
        9  => array('type' => 'big',   'column' => '1'),
        //10  => array('type' => 'wide',   'column' => '1'),
    );
    //----------------------------------------------
    return $start_screans;
}

//-----  Test if the tiles array has third column --------------


function wd_is_third($wd_tiles){

    $array_keys = array_keys($wd_tiles);
    $last_key = end( $array_keys );

    if( isset( $wd_tiles[ $last_key ] )){

        if( $wd_tiles[ $last_key ]['column'] == 3 ){
            $wd_columns = "3";
            return $wd_columns;
        }elseif( $wd_tiles[ $last_key ]['column'] == 2 ){
            $wd_columns = "2";
            return $wd_columns;
        }else {
            $wd_columns = "1";
            return $wd_columns;
        }

    }else{
        return false;
    }


}

?>