<?php
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/lib/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'admiral_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 */
function admiral_register_required_plugins() {

  /*** Array of plugin arrays. Required keys are name and slug. */
  $plugins = array(




     array(
      'name'      => esc_html__('Advanced Custom Fields', 'admiral'), // The plugin name
      'slug'      => 'advanced-custom-fields', // The plugin slug (typically the folder name)
      'source'      => get_template_directory() . '/lib/plugins/advanced-custom-fields.zip', // The plugin source
      'required'      => false, // If false, the plugin is only 'recommended' instead of required
      'version'     => '4.4.11', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
      'force_activation'    => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation'  => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
      'external_url'    => '', // If set, overrides default API URL and points to an external URL
    ),
    array(
      'name'      => esc_html__('Webdevia Latest Tweets', 'admiral'), // The plugin name
      'slug'      => 'wd-tweets', // The plugin slug (typically the folder name)
      'source'      => get_template_directory() . '/lib/plugins/wd-tweets.zip', // The plugin source
      'required'      => false, // If false, the plugin is only 'recommended' instead of required
      'version'     => '1.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
      'force_activation'    => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation'  => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
      'external_url'    => '', // If set, overrides default API URL and points to an external URL
    ),
    array(
      'name'      => esc_html__('Webdevia Latest Tweets AJAX', 'admiral'), // The plugin name
      'slug'      => 'wd-ajax-load', // The plugin slug (typically the folder name)
      'source'      => get_template_directory() . '/lib/plugins/wd-ajax-load.zip', // The plugin source
      'required'      => false, // If false, the plugin is only 'recommended' instead of required
      'version'     => '0.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
      'force_activation'    => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation'  => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
      'external_url'    => '', // If set, overrides default API URL and points to an external URL
    ),
    array(
      'name'    => 'Font Awesome 4 Menus',
      'slug'    => 'font-awesome-4-menus',
      'required'  => true,
      'force_activation'    => true,
    ),

    
  );

  $config = array(
  	'id'           => 'flat-metro',                 // Unique ID for hashing notices for multiple instances of TGMPA.
    'default_path'    => '',                          // Default absolute path to pre-packaged plugins
    'parent_slug'  => 'themes.php',            // Parent menu slug.
    'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
    'menu'            => 'install-required-plugins',  // Menu slug
    'has_notices'       => true,                        // Show admin notices or not
    'is_automatic'      => false,             // Automatically activate plugins after installation or not
    'message'       => '',              // Message to output right before the plugins table
    'strings'         => array(
      'page_title'                            => esc_html__( 'Install Required Plugins', 'admiral' ),
      'menu_title'                            => esc_html__( 'Install Plugins', 'admiral' ),
      'installing'                            => esc_html__( 'Installing Plugin: %s', 'admiral' ), // %1$s = plugin name
      'oops'                                  => esc_html__( 'Something went wrong with the plugin API.', 'admiral' ),
      'notice_can_install_required'           => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.','admiral' ), // %1$s = plugin name(s)
      'notice_can_install_recommended'      => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.','admiral' ), // %1$s = plugin name(s)
      'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.','admiral' ), // %1$s = plugin name(s)
      'notice_can_activate_required'          => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.','admiral' ), // %1$s = plugin name(s)
      'notice_can_activate_recommended'     => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.','admiral' ), // %1$s = plugin name(s)
      'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ,'admiral'), // %1$s = plugin name(s)
      'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.','admiral' ), // %1$s = plugin name(s)
      'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ,'admiral'), // %1$s = plugin name(s)
      'install_link'                  => _n_noop( 'Begin installing plugin', 'Begin installing plugins','admiral' ),
      'activate_link'                 => _n_noop( 'Activate installed plugin', 'Activate installed plugins' ,'admiral'),
      'return'                                => esc_html__( 'Return to Required Plugins Installer', 'admiral' ),
      'plugin_activated'                      => esc_html__( 'Plugin activated successfully.', 'admiral' ),
      'complete'                  => esc_html__( 'All plugins installed and activated successfully. %s', 'admiral' ), // %1$s = dashboard link
      'nag_type'                  => 'updated' // Determines admin notice type - can only be 'updated' or 'error'
    )
  );

  tgmpa( $plugins, $config );
}